var weapons = {
    "wakizachi" : { "damage" : "2G2", "type" : "sword", "keywords" : ["samourai", "medium"], "skill" : "kenjutsu"},
    "katana" : { "damage" : "3G2", "type" : "sword", "keywords" : ["samourai", "medium"], "skill" : "kenjutsu"},
    "no-dachi" : { "damage" : "3G3", "type" : "sword", "keywords" : ["large"], "skill" : "kenjutsu"},
    "scimitar" : { "damage" : "2G3", "type" : "sword", "keywords" : ["medium"], "skill" : "kenjutsu"},
    "parangu" : { "damage" : "2G2", "type" : "sword", "special" : "If a parangu inflicts more than 30 Wounds in a single attack, its blade breaks.", "keywords" : ["medium", "peasant"], "skill" : "kenjutsu"},
    "ninja-to" : { "damage" : "2G2", "type" : "sword", "special" : "The ninja-to is a medium weapon, but is considered a small weapon for the purposes of concealment. If a ninja-to infl icts more than 40 Wounds in a single attack, its blade breaks.",     "keywords" : ["ninja", "medium"], "skill" : "kenjutsu"},
    "tetsubo" : { "damage" : "3G3", "type" : "heavy", "keywords":[], "skill" : "heavy weapon"},
    "ono" : { "damage" : "0G4", "type" : "heavy", "keywords":[], "skill" : "heavy weapon"},
    "masakari" : { "damage" : "2G3", "type" : "heavy", "keywords":[], "skill" : "heavy weapon"},
    "dai tsuchi" : { "damage" : "5G2", "type" : "heavy", "keywords":[], "skill" : "heavy weapon"},
    "kusarigama" : { "damage" : "0G2", "type" : "chain", "keywords":[], "skill" : "chain"},
    "kyoketsu-shogi" : { "damage" : "0G1", "type" : "chain", "special" : "Double an opponent’s bonus to Armor TN from armor.", "keywords":[], "skill" : "chain"},
    "manrikikusari" : { "damage" : "1G1", "type" : "chain", "keywords":[], "skill" : "chain"},
    "yumi" : { "strength" : "3", "type" : "bow", "special" : "Increase the TN of all attack rolls by +10 if used from horseback.", "keywords":[], "skill" : "kyujutsu"},
    "han-kyu" : { "strength" : "1", "type" : "bow", "special" : "Increase the TN of all attack rolls by +10 if used from horseback.", "keywords":[], "skill" : "kyujutsu"},
    "dai-kyu" : { "strength" : "4", "type" : "bow", "special" : "Increase the TN of all attack rolls by +10 by foot. Only 3 strength needed", "keywords":[], "skill" : "kyujutsu"},
    "nagamaki" : { "damage" : "2G3", "type" : "polearm", "keywords":[], "skill" : "polearm"},
    "naginata" : { "damage" : "3G2", "type" : "polearm", "keywords" : ["samourai"], "skill" : "polearm"},
    "sasumata" : { "damage" : "0G2", "type" : "polearm", "special" : "The sasumata may be used to initiate and maintain a grapple.", "keywords":[], "skill" : "polearm"},
    "sodegarami" : { "damage" : "1G1", "type" : "polearm", "special" : "The sodegarami may be used to initiate and maintain a grapple.", "keywords":[], "skill" : "polearm"},
    "bisento" : { "damage" : "3G3", "type" : "polearm", "keywords":[], "skill" : "polearm"},
    "kumade" : { "damage" : "1G1", "type" : "spear", "special" : "If a kumade inflicts more than 25 Wounds in a single attack, it breaks.", "keywords" : [ "large", "peasant" ], "skill" : "spear"},
    "lance" : { "damage" : "3G2", "type" : "spear", "special" : "The listed DR only applies if the lance is used from horseback and used to make an attack directly following a Move Action. Under any other circumstances, it possesses DR 1k2. Using the lance in melee combat without a Move Action increases the TN of all attack rolls by +5 on horseback and +10 on foot. A lance shatters if it infl icts more than 30 Wounds in one attack.", "keywords":[], "skill" : "spear"},
    "nage-yari" : { "damage" : "1G2", "type" : "spear", "special" : "The nage-yari may be thrown accurately up to 50’", "keywords":[], "skill" : "spear"},
    "yari" : { "damage" : "2G2", "type" : "spear", "special" : "The yari can be thrown a maximum range of 30’, and has DR 1k2 when thrown.", "keywords":[], "skill" : "spear"},
    "bo" : { "damage" : "1G2", "type" : "stave", "keywords":[], "skill" : "stave"},
    "nunchaku" : { "damage" : "1G2", "type" : "stave", "keywords" : ["peasant", "small"], "skill" : "stave"},
    "tonfa" : { "damage" : "0G3", "type" : "stave", "keywords" : ["peasant", "large"], "skill" : "stave"},
    "bo" : { "damage" : "1G2", "type" : "stave", "keywords":[], "skill" : "stave"},
    "tanto" : { "damage" : "1G1", "type" : "knives", "keywords" : ["small"], "skill" : "knive"},
    "sai" : { "damage" : "1G1", "type" : "knives", "keywords" : ["small"], "skill" : "knive"},
    "kama" : { "damage" : "0G2", "type" : "knives", "keywords" : ["peasant", "small"], "skill" : "knive"},
    "war fan" : { "damage" : "0G1", "type" : "small", "keywords":["small"], "skill" : "knive"},
    "oyomi" : { "damage" : "4G2", "type" : "small", "keywords":["small"], "skill" : "crossbow"},
    "z_poing" : { "damage" : "1G1", "type" : "small", "keywords":["small"], "skill" : "jiujitsu"},   
};

var armors = {
    "kimono" : { "DR" : 0, "TN": 0},
    "ashigaru" : {"DR" : 1, "TN": 3},
    "light" : {"DR" : 3, "TN": 5},
    "heavy" : {"DR" : 5, "TN": 10},
    "ridding" : {"DR" : 4, "TN": 4}
};

var advantages = {
    "strength of the earth" : { "default" : 3, "bushi" : 2, "ninja" : 2, "scout" : 2 }
};

var roleSkills = {
    "courtier" : { "courtier" : { "occurence" : 10, "trait" : "intelligence"},
                   "etiquette" : { "occurence" : 10, "trait" : "awarness"},
                   "sincerity" : { "occurence" : 10, "trait" : "awarness"},
                   "lore : heraldy" : { "occurence" : 5, "trait" : "intelligence"},
                   "tea ceremony" : { "occurence" : 5, "trait" : "void"},
                   "lore : theology" : { "occurence" : 4, "trait" : "intelligence"},
                   "lore : history" : { "occurence" : 4, "trait" : "intelligence"},
                   "lore : bushido" : { "occurence" : 3, "trait" : "intelligence" }},
    "bushi" : { "kenjutsu" : { "occurence" :10, "main" : true, "trait" : "agility"},
                "iaijutsu" : { "occurence" : 8, "main" : true, "trait" : "reflexes"},
                "heavy weapon" : { "occurence" : 8, "main" : true, "trait" : "agility"},
                "polearm" : { "occurence" : 7, "main" : true, "trait" : "agility"},
                "defense" : {  "occurence" : 7, "trait" : "reflexes"},
                "kyujutsu": { "occurence" : 6, "main" : true, "trait" : "reflexes"},
                "jiujutsu": { "occurence" : 5, "trait" : "agility"},
                "battle" : { "occurence" : 5, "trait" : "perception"},
                "athletics": {  "occurence" : 4, "trait" : "strength" }},
    "monk" : { "jiujutsu": { "occurence" : 7, "main" : true, "trait" : "agility"},
               "staves": { "occurence" : 6, "main" : true, "trait" : "agility"},
               "lore : theology" : { "occurence" :6, "trait" : "intelligence"},
               "meditation": { "occurence" : 6, "trait" : "void"},
               "chain": { "occurence" : 3, "main" : true, "trait" : "agility"}},
    "scout" : { "kenjutsu" : { "occurence" :8, "main" : true, "trait" : "agility"},
                "kyujutsu": { "occurence" : 7, "main" : true,"trait" : "reflexes"},
                "athletics": {  "occurence" : 6, "trait" : "strength" },
                "heavy weapon" : { "occurence" : 6, "main" : true, "trait" : "agility"},
                "polearm" : { "occurence" : 6, "main" : true, "trait" : "agility"},
                "stealth" : {  "occurence" : 6 , "trait" : "agility"},
                "battle" : { "occurence" : 6, "trait" : "perception"},
                "defense" : {  "occurence" : 5 , "trait" : "reflexes"},
                "iaijutsu" : { "occurence" : 4, "main" : true, "trait" : "reflexes"},
                "jiujutsu": { "occurence" : 3, "trait" : "agility"}},
    "ninja" : { "stealth" : {  "occurence" : 10 , "trait" : "agility"},
                "knives": { "occurence" : 8, "main" : true,"trait" : "agility", "type" : "bugei"},
                "kenjutsu" : {  "occurence" : 6 , "main" : true, "trait" : "agility"},
                "sincerity" : {  "occurence" : 5 , "trait" : "awarness"},
                "ninjutsu" : {  "occurence" : 3 , "main" : true,"trait" : "agility"},
                "jiujutsu" : {  "occurence" : 3 , "trait" : "agility"},
                "staves" : {  "occurence" : 3 , "trait" : "agility"}
              },
    "people" : { "stealth " : {  "occurence" : 3 , "trait" : "agility"},
		 "staves" : {  "occurence" : 3 , "trait" : "agility"},
		 "craft" : {  "occurence" : 3 , "trait" : "agility"},
		 "jiujutsu" : {  "occurence" : 3 , "trait" : "agility"},
		 "commerce" : {  "occurence" : 3 , "trait" : "intelligence"},
		 "lore : folklore" : {  "occurence" : 3 , "trait" : "intelligence"},
		 "sleight of hand" : {  "occurence" : 3 , "trait" : "agility"},
		 "animal handling" : {  "occurence" : 3 , "trait" : "awareness"},
		 "sailing" : {  "occurence" : 3 , "trait" : "agility"},
		 "intimidation" : {  "occurence" : 3 , "trait" : "awareness"},
		 "temptation" : {  "occurence" : 3 , "trait" : "awareness"},
		 "athletism" : {  "occurence" : 3 , "trait" : "strength"}
    }
};

var skills = {
    "perform" : { "occurence" : 1, "trait" : "awarness", "type" : "high", "actions" : [ "social", "perform", "discussion" ]},
    "courtier" : { "occurence" : 2, "trait" : "intelligence",  "type" : "high", "actions" : [ "social", "knowledge", "discussion" ]},
    "etiquette" : { "occurence" : 2, "trait" : "awarness",  "type" : "high", "actions" : [ "social", "knowledge", "discussion", "perception" ]},
    "sincerity" : { "occurence" : 2, "trait" : "awarness",  "type" : "high", "actions" : [ "social", "knowledge", "discussion" ]},
    "acting" : { "occurence" : 1, "trait" : "awarness",  "type" : "high", "actions" : [ "social", "knowledge", "discussion", "perform" ]},
    "artisan" : { "occurence" : 1, "trait" : "awarness",  "type" : "high", "actions" : [ "knowledge", "craft", "perform" ]},
    "calligraphy" : { "occurence" : 1, "trait" : "intelligence",  "type" : "high", "actions" : [ "craft", "knowledge", "investigation", "perform" ]},
    "investigation" : { "occurence" : 1, "trait" : "perception",  "type" : "high", "actions" : [ "discussion", "investigation", "social", "tracking" ]},
    "medicine" : { "occurence" : 1, "trait" : "awarness",  "type" : "high", "actions" : [ "heal", "knowledge", "investigation" ]},
    "spellcraft" : { "occurence" : 1, "trait" : "awarness",  "type" : "high", "actions" : [ "cast", "investigation", "perception" ]},
    "lore : heraldy" : { "occurence" : 1, "trait" : "intelligence",  "type" : "high", "actions" : [ "knowledge", "perception" ]},
    "tea ceremony" : { "occurence" : 2, "trait" : "void", "type" : "high", "actions" : [ "social", "meditation" ]},
    "lore : theology" : { "occurence" : 1, "trait" : "intelligence",  "type" : "high", "actions" : [ "discussion", "social", "knowledge" ]},
    "lore : history" : { "occurence" : 1, "trait" : "intelligence",  "type" : "high", "actions" : [ "discussion", "social", "knowledge" ]},
    "lore : bushido" : { "occurence" : 2, "trait" : "intelligence" ,  "type" : "high", "actions" : [ "discussion", "social", "knowledge", "perception" ]},
    "battle" : { "occurence" : 2, "trait" : "perception", "type" : "bugei", "actions" : [ "discussion", "social", "knowledge", "perception", "strategy" ]},
    "heavy weapon" : { "occurence" : 1, "main" : true, "type" : "bugei", "trait" : "agility", "actions" : [ "attack" ]},
    "defense" : {  "occurence" : 2 , "trait" : "reflexes", "type" : "bugei", "actions" : [ "defense" ]},
    "iaijutsu" : { "occurence" : 2, "main" : true, "trait" : "reflexes", "type" : "bugei", "actions" : [ "attack" ]},
    "jiujutsu": { "occurence" : 2, "trait" : "agility", "type" : "bugei", "actions" : [ "attack" ]},
    "kenjutsu" : { "occurence" : 2, "main" : true, "trait" : "agility", "type" : "bugei", "actions" : [ "attack" ]},
    "polearm" : { "occurence" : 1, "main" : true, "trait" : "agility", "type" : "bugei", "actions" : [ "attack" ]},
    "kyujutsu": { "occurence" : 1, "main" : true,"trait" : "reflexes", "type" : "bugei", "actions" : [ "attack" ]},
    "chain": { "occurence" : 1, "main" : true,"trait" : "agility", "type" : "bugei", "actions" : [ "attack" ]},
    "stave": { "occurence" : 1, "main" : true,"trait" : "agility", "type" : "bugei", "actions" : [ "attack" ]},
    "spear": { "occurence" : 1, "main" : true,"trait" : "agility", "type" : "bugei", "actions" : [ "attack" ]},
    "knive": { "occurence" : 1, "main" : true,"trait" : "agility", "type" : "bugei", "actions" : [ "attack" ]},
    "crossbow": { "occurence" : 1, "main" : true,"trait" : "agility", "type" : "gaijin", "actions" : [ "attack" ]},
    "swordmanship": { "occurence" : 1, "main" : true,"trait" : "agility", "type" : "gaijin", "actions" : [ "attack" ]},
    "athletics": {  "occurence" : 1, "trait" : "strength", "type" : "bugei", "actions" : [ "movment" ]},
    "horsemanship": {  "occurence" : 1, "trait" : "strength", "type" : "bugei", "actions" : [ "movment" ]},
    "hunting": {  "occurence" : 1, "trait" : "strength", "type" : "bugei", "actions" : [ "investigation", "knowledge", "perception", "tracking" ]},
    "animal handling": {  "occurence" : 1, "trait" : "awarness", "type" : "merchant", "actions" : [ "social" ]},
    "commerce": {  "occurence" : 1, "trait" : "intelligence", "type" : "merchant", "actions" : [ "social", "discussion", "negotiation" ]},
    "engineering": {  "occurence" : 1, "trait" : "intelligence", "type" : "merchant", "actions" : [ "craft", "knowledge", "strategy" ]},
    "craft": {  "occurence" : 1, "trait" : "", "type" : "merchant", "actions" : [ "craft", "knowledge" ]},
    "intimidation" : {  "occurence" : 1 , "trait" : "awarness", "type" : "low", "actions" : [ "social", "discussion" ]},
    "temptation" : {  "occurence" : 1 , "trait" : "awarness", "type" : "low", "actions" : [ "social", "discussion" ]},
    "sleight of hand" : {  "occurence" : 1 , "trait" : "agility", "type" : "low", "actions" : [ "interaction" ]},
    "z_fist" : {  "occurence" : 0 , "trait" : "agility", "type" : "low", "actions" : [ "interaction" ]},
    "stealth" : {  "occurence" : 1 , "trait" : "agility", "type" : "low", "actions" : [ "movment", "interaction" ]}
};

var famillies = {
    "daidodji" : { "clan" : "crane", "trait" : "willpower"} ,
    "tamori" : { "clan" : "dragon", "trait" : "willpower" },
    "hida" : { "clan" : "crab", "trait" : "strength"},
    "matsu" : { "clan" : "lion", "trait" : "strength"},
    "hiruma" : { "clan" : "crab", "trait" : "agility"},
    "kakita" : { "clan" : "crane", "trait" : "agility"},
    "mirumoto" : { "clan" : "dragon", "trait" : "agility"},
    "kuni" : { "clan" : "crab", "trait" : "intelligence"},
    "kaiu" : { "clan" : "crab", "trait" : "intelligence"},
    "asahina" : { "clan" : "crane", "trait" : "intelligence"},
    "kitsu" : { "clan" : "lion", "trait" : "intelligence"},
    "yasuki" : { "clan" : "crab", "trait" : "awarness"},
    "doji" : { "clan" : "crane", "trait" : "awarness"},
    "kitsuki" : { "clan" : "dragon", "trait" : "awarness"},
    "ikoma" : { "clan" : "lion", "trait" : "awarness"},
    "kitsune" : { "clan" : "mantis", "trait" : "awarness"},
    "moshi" : { "clan" : "mantis", "trait" : "intelligence"},
    "tsuruchi" : { "clan" : "mantis", "trait" : "perception"},
    "yoritomo" : { "clan" : "mantis", "trait" : "stamina"},    
    "togashi order" : { "clan" : "dragon", "trait" : "void"},
    "agasha" : { "clan" : "phœnix", "trait" : "agility"},
    "asako" : { "clan" : "phœnix", "trait" : "awarness"},
    "isawa" : { "clan" : "phœnix", "trait" : "willpower"},
    "shiba" : { "clan" : "phœnix", "trait" : "perception"},
    "bayushi" : { "clan" : "scorpion", "trait" : "agility"},
    "shosuro" : { "clan" : "scorpion", "trait" : "awareness"},
    "soshi" : { "clan" : "scorpion", "trait" : "intelligence"},
    "yogo" : { "clan" : "scorpion", "trait" : "willpower"},
    "horiuchi" : { "clan" : "unicorn", "trait" : "willpower"},
    "ide" : { "clan" : "unicorn", "trait" : "perception"},
    "iuchi" : { "clan" : "unicorn", "trait" : "intelligence"},
    "moto" : { "clan" : "unicorn", "trait" : "agility"},
    "shinjo" : { "clan" : "unicorn", "trait" : "reflexes"},
    "utaku" : { "clan" : "unicorn", "trait" : "stamina"},
    "chuda" : { "clan" : "spider", "trait" : "intelligence"},
    "daigotsu" : { "clan" : "spider", "trait" : "stamina"},
    "goju" : { "clan" : "spider", "trait" : "agility"},
    "spider monks" : { "clan" : "spider", "trait" : "reflexes"},
    "ichiro" : { "clan" : "badger", "trait" : "strength"},
    "komori" : { "clan" : "bat", "trait" : "intelligence"},
    "heichi" : { "clan" : "boar", "trait" : "willpower"},
    "tonbo" : { "clan" : "dragonfly", "trait" : "awareness"},
    "toritaka" : { "clan" : "falcon", "trait" : "perception"},
    "kitsune" : { "clan" : "fox", "trait" : "willpower"},
    "usagi" : { "clan" : "hare", "trait" : "awareness"},
    "ujina" : { "clan" : "hare", "trait" : "agility"},
    "toku" : { "clan" : "monkey", "trait" : "stamina"},
    "fuzake" : { "clan" : "monkey", "trait" : "perception"},
    "tsi" : { "clan" : "oriole", "trait" : "strength"},
    "morito" : { "clan" : "ox", "trait" : "stamina"},
    "chuda" : { "clan" : "snake", "trait" : "willpower"},
    "suzume" : { "clan" : "sparrow", "trait" : "awareness"},
    "kasuga" : { "clan" : "tortoise", "trait" : "perception"},
    "miya" : { "clan" : "imperial", "trait" : "reflexes"},
    "otomo" : { "clan" : "imperial", "trait" : "intelligence"},
    "seppun" : { "clan" : "imperial", "trait" : "agility"},
    "sons of the mountain tribe" : { "clan" : "geijin", "trait" : "agility"},
    "daughters of the flame" : { "clan" : "geijin", "trait" : "agility"},
    "hitomi" : { "clan" : "dragon", "trait" : "strength" },
    "heimin": { "clan" : "people", "trait" : "stamina"},
    "shokunin" : { "clan" : "people", "trait" : "agility"},
    "shonin" : { "clan" : "people", "trait" : "intelligence" },
    "eta" : { "clan" : "people", "trait" : "will" }
};

var basicSchool = {
    "hida bushi" : { "clan" : "crabe", "trait" : "stamina", "outfit" : {"armor" : ["light", "heavy"], "weapon" : ["heavy", "polearm", "katana", "wakizachi"]}, "skills" :[]},
    "mirumoto bushi" : { "clan" : "dragon", "trait" : "stamina", "outfit" : {"armor" : [ "ashigaru", "light" ], "weapon" : ["any", "wakizachi", "katana"]}, "skills" :[]},
    "tamori shugenja" : { "clan" : "lion", "trait" : "stamina", "skills" :[]},
    "kuni shugenja" : { "clan" : "crab", "trait" : "willpower", "skills" :[]},
    "hiruma bushi" : { "clan" : "crab", "trait" : "willpower", "outfit" : {"armor" : [ "ashigaru", "light" ], "weapon" : ["bow", "wakizachi", "katana", "tanto"]}, "skills" :[]},
    "yasuki courtier" : { "clan" : "crab", "trait" : "perception", "skills" :[]},
    "kitsuki" : { "clan" : "dragon", "trait" : "perception", "outfit" : {"weapon" : ["wakizachi"]}, "skills" :[]},
    "akodo bushi" : { "clan" : "lion", "trait" : "perception", "outfit" : {"armor" : [ "ashigaru", "light" ], "weapon" : ["bow", "wakizachi", "katana", "tanto"]}, "skills" :[]},
    "kitsu shugenja" : { "clan" : "lion", "trait" : "perception", "skills" :[]},
    "matsu berserker" : { "clan" : "lion", "trait" : "strength", "outfit" : {"armor" : [ "heavy", "light" ], "weapon" : ["heavy", "wakizachi", "katana", "polearm"]}, "skills" :[]},
    "kakita bushi" : { "clan" : "crane", "trait" : "reflexes", "skills" :[]},
    "asahina shugenja" : { "clan" : "crane", "trait" : "awarness", "skills" :[]},
    "doji courtier" : { "clan" : "crane", "trait" : "awarness", "skills" :[]},
    "daidodji iron warrior" : { "clan" : "crane", "trait" : "agility", "skills" :[]},
    "ikoma bard" : { "clan" : "lion", "trait" : "intelligence", "skills" :[]},
    "togashi tattooed order" : { "clan" : "dragon", "trait" : "void", "skills" :[]},
    "yoritomo bushi" : { "clan" : "mantis", "trait" : "strength", "outfit" : {"armor" : [ "ashigaru", "light" ], "weapon" : ["wakizachi", "katana", "any"]}, "skills" :[]},
    "moshi shugenja" : { "clan" : "mantis", "trait" : "awarness", "skills" :[]},
    "yoritomo courtier" : { "clan" : "mantis", "trait" : "willpower", "skills" :[]},
    "tsuruchi archer" : { "clan" : "mantis", "trait" : "reflexes", "outfit" : {"armor" : [ "ashigaru", "light" ], "weapon" : ["bow", "wakizachi"]}, "skills" :[]},
    "shiba" : { "clan" : "phœnix", "trait" : "agility", "outfit" : {"armor" : [ "light" ], "weapon" : ["any", "wakizachi", "katana", "tanto"]}, "skills" :[]},
    "isawa shugenja" : { "clan" : "phœnix", "trait" : "intelligence", "skills" :[]},
    "asako loremaster" : { "clan" : "phœnix", "trait" : "intelligence", "skills" :[]},
    "agasha shugenja" : { "clan" : "phœnix", "trait" : "intelligence", "skills" :[]},
    "asako henshin" : { "clan" : "phœnix", "trait" : "willpower", "outfit" : { "weapon": ["wakizachi"]}, "skills" :[]},
    "bayushi bushi" : { "clan" : "scorpion", "trait" : "intelligence", "outfit" : {"armor" : [ "light" ], "weapon" : ["any", "wakizachi", "katana"]}, "skills" :[]},
    "soshi shugenja" : { "clan" : "scorpion", "trait" : "awareness", "skills" :[]},
    "bayushi courtier" : { "clan" : "scorpion", "trait" : "awarenes", "skills" :[]},
    "shosuro infiltrator" : { "clan" : "scorpion", "trait" : "reflexes", "skills" :[]},
    "moto" : { "clan" : "unicorn", "trait" : "strength", "outfit" : {"armor" : [ "riding", "heavy" ], "weapon" : ["wakizachi", "katana", "polearm", "heavy", "any"]}, "skills" :[]},
    "iuchi shugenja" : { "clan" : "unicorn", "trait" : "perception", "skills" :[]},
    "ide emissary" : { "clan" : "unicorn", "trait" : "awareness", "skills" :[]},
    "utaku" : { "clan" : "unicorn", "trait" : "reflexes", "outfit" : {"armor" : ["riding", "light" ], "weapon" : ["any", "wakizachi", "katana"]}, "skills" :[]},
    "meishodo shugenja" : { "clan" : "unicorn", "trait" : "stamina", "outfit" : { "weapon" : ["wakizachi", "tanto"], "koku" : 4}, "skills" :[]},
    "daigotsu bushi" : { "clan" : "spider", "trait" : "strength", "skills" :[]},
    "chuda shugenja" : { "clan" : "spider", "trait" : "willpower", "skills" :[]},
    "daigotsu courtier" : { "clan" : "spider", "trait" : "perception", "skills" :[]},
    "order of the spider monk" : { "clan" : "spider", "trait" : "agility", "skills" :[]},
    "ichiro bushi" : { "clan" : "badger", "trait" : "strength", "skills" :[]},
    "komori shugenja" : { "clan" : "bat", "trait" : "awareness", "skills" :[]},
    "heichi bushi" : { "clan" : "boar", "trait" : "strength", "skills" :[]},
    "tonbo" : { "clan" : "dragonfly", "trait" : "perception", "skills" :[]},
    "toritaka" : { "clan" : "falcon", "trait" : "strength", "skills" :[]},
    "kitsune shugenja" : { "clan" : "fox", "trait" : "stamina", "skills" :[]},
    "usagi bushi" : { "clan" : "hare", "trait" : "reflexes", "skills" :[]},
    "toku bushi" : { "clan" : "monkey", "trait" : "willpower", "skills" :[]},
    "tsi smith" : { "clan" : "oriole", "trait" : "intelligence", "skills" :[]},
    "morito bushi" : { "clan" : "ox", "trait" : "agility", "skills" :[]},
    "chuda shugenja" : { "clan" : "snake", "trait" : "willpower", "skills" :[]},
    "suzume bushi" : { "clan" : "sparrow", "trait" : "willpower", "skills" :[]},
    "kasuga smuggler" : { "clan" : "tortoise", "trait" : "awareness", "skills" :[]},
    "seppun guardman" : { "clan" : "imperial", "trait" : "perception", "skills" :[]},
    "seppun shugenja" : { "clan" : "imperial", "trait" : "intelligence", "skills" :[]},
    "otomo courtier" : { "clan" : "imperial", "trait" : "awareness", "skills" :[]},
    "miya herald" : { "clan" : "imperial", "trait" : "awareness", "skills" :[]},
    "the four temple" : { "clan" : "monk", "trait" : "awareness", "skills" :[]},
    "the order of heroes" : { "clan" : "monk", "trait" : "perception", "skills" :[]},
    "the shrine of the seven thunder" : { "clan" : "monk", "trait" : "stamina", "skills" :[]},
    "the temple of kaimetsu-uo" : { "clan" : "monk", "trait" : "willpower", "skills" :[]},
    "the temple of osano-wo" : { "clan" : "monk", "trait" : "strength", "skills" :[]},
    "the temple of thousand fortunes" : { "clan" : "monk", "trait" : "agility", "skills" :[]},
    "disciples of sun tao" : { "clan" : "ronin", "trait" : "reflexes", "skills" :[]},
    "forest killers" : { "clan" : "ronin", "trait" : "agility", "skills" :[]},
    "tawagoto's army" : { "clan" : "ronin", "trait" : "agility", "skills" :[]},
    "tengoku's justice" : { "clan" : "ronin", "trait" : "strength", "skills" :[]},
    "tessen" : { "clan" : "ronin", "trait" : "stamina", "skills" :[]},
    "void mystic" : { "clan" : "ronin", "trait" : "willpower", "outfit" : { "weapon" : ["any", "wakizachi"], "koku" : 1}, "skills" :[]},
    "hitomi kikage zumi" : { "clan" : "dragon", "trait" : "reflexes", "outfit" : { "weapon" : [], "koku" : 4}, "skills" : ["athletics", "defense", "jiujutsu", "lore", "meditation", "any non-low skills"]},
    "craftman" : { "clan" : "people", "trait" : "agility", "outfit" : { "weapon" : [ "tanto" ], "koku" : 0.01 }, "skills" : [ "lore : folklore", "craft", "games" ] },
    "servant" : { "clan" : "people", "trait" : "intuition", "outfit" : { "weapon" : [ "tanto" ], "koku" : 0.01 }, "skills" : [ "lore : folklore", "etiquette", "lore : great clan" ] },
    "peasant": { "clan" : "people", "trait" : "agility", "outfit" : { "weapon" : [ "tanto" ], "koku" : 0 }, "skills" : [ "lore : folklore", "animal handling", "athletism", "staves" ] },
    "forester" : { "clan" : "people", "trait" : "strength", "outfit" : { "weapon" : [ "tanto" ], "koku" : 0 }, "skills" : [ "lore : folklore", "hunting", "lore : nature", "kyujutsu" ] },
    "merchant" : { "clan" : "people", "trait" : "intelligence", "outfit" : { "weapon" : [ "tanto" ], "koku" : 0.05 }, "skills" : [ "lore : folklore", "commerce", "lore : nature", "sleight of hand" ] },
    "miner" : { "clan" : "people", "trait" : "strength", "outfit" : { "weapon" : [ "tanto" ], "koku" : 0 }, "skills" : [ "jujitsu", "athletism", "lore : nature" ] },
    "undertaker" : { "clan" : "people", "trait" : "reflex", "outfit" : { "weapon" : [ "tanto" ], "koku" : 0 }, "skills" : [ "knives", "sleight of hand", "stealth" ] }
};

var arrows = {
    "willow leaf" : { "r" : 2, "k" : 2, "range" : 1, "armorTN_m" : 1, "price" : 0.2},
    "rope cutter" : { "r" : 1, "k" : 1, "range" : 0.50, "armorTN_m" : 1, "price" : 0.75},
    "humming bulb" : { "r" : 0, "k" : 1, "range" : 1, "armorTN_m" : 1, "price" : 1},
    "flesh cutter" : { "r" : 2, "k" : 3, "range" : 0.50, "armorTN_m" : 2, "price" : 1},
    "armor piercing" : {"r" : 1, "k" : 1, "range" : 1, "armorTN_m" : 0, "price" : 0.2}
};
