function random( max ){                                  
    return Math.floor(Math.random() * Math.floor(max+1)) ; 
}                                                        

class Name {
    constructor( gender, name, culture ){
       this.gender = gender;
       this.name = name;
       this.culture = culture;
    }
}

class Names {
    constructor( collection ){
       this.collection = collection;
     }

     getFromFilter( filter, value ){
       let result = [];
       for( let i = 0 ; i < this.collection.length ; i++){
	if(( typeof this.collection[i] !== "umdefined" ) &&
           ( typeof this.collection[i] !== "undefined" ) &&
           ( this.collection[i][filter] == value ))
              result.push( this.collection[i] );
        }
        return result;
      };

     getFromFilters( filters ){
         if( typeof filters !== "object" )
             return null;

         let result = [];
         for( let i = 0 ; i < filters.length ; i++){
             if( typeof filters[i] == "object" )      
                 result = result.concat( this.getFromFilter( filters[i].filter, filters[i].value ) )
             }
         return result;
     }

    random( collection ){
        if( typeof collection !== "object" )
            collection = this.collection;

        return collection[ random(collection.length) ] ;
    }                                                                 

    randomFromFilters( filters ){
        return this.random( this.getFromFilters( filters ) );
    }
}
      
var names = new Names ([
  new Name("n", "Ado", "japonais"),
  new Name("f", "Ai", "japonais"),
  new Name("m", "Aiichirō", "japonais"),
  new Name("f", "Aiko", "japonais"),
  new Name("f", "Aika", "japonais"),
  new Name("f", "Airi", "japonais"),
  new Name("f", "Akane", "japonais"),
  new Name("f", "Akeko", "japonais"),
  new Name("f", "Akemi", "japonais"),
  new Name("n", "Aki", "japonais"),
  new Name("f", "Akie", "japonais"),
  new Name("m", "Akifumi", "japonais"),
  new Name("m", "Akihiko", "japonais"),
  new Name("m", "Akihiro", "japonais"),
  new Name("m", "Akihisa", "japonais"),
  new Name("m", "Akihito", "japonais"),
  new Name("f", "Akiko", "japonais"),
  new Name("m", "Akimasa", "japonais"),
  new Name("f", "Akina", "japonais"),
  new Name("m", "Akinobu", "japonais"),
  new Name("m", "Akinori", "japonais"),
  new Name("m", "Akio", "japonais"),
  new Name("n", "Akira", "japonais"),
  new Name("m", "Akito", "japonais"),
  new Name("m", "Akiyoshi", "japonais"),
  new Name("m", "Akiyuki", "japonais"),
  new Name("f", "Amane", "japonais"),
  new Name("f", "Anri", "japonais"),
  new Name("f", "Aoi", "japonais"),
  new Name("m", "Arata", "japonais"),
  new Name("m", "Arinobu", "japonais"),
  new Name("f", "Asako", "japonais"),
  new Name("m", "Atomu", "japonais"),
  new Name("m", "Atsuhiko", "japonais"),
  new Name("f", "Atsuko", "japonais"),
  new Name("m", "Atsuo", "japonais"),
  new Name("m", "Atsushi", "japonais"),
  new Name("m", "Atsuto", "japonais"),
  new Name("m", "Atsuya|", "japonais"),
  new Name("f", "Ayaka", "japonais"),
  new Name("f", "Ayako", "japonais"),
  new Name("f", "Ayana", "japonais"),
  new Name("f", "Ayumi", "japonais"),
  new Name("n", "Ayumu", "japonais"),
  new Name("n", "Azusa", "japonais"),
  new Name("m", "Banri", "japonais"),
  new Name("m", "Bunji", "japonais"),
  new Name("m", "Bunta", "japonais"),
  new Name("n", "Chiaki", "japonais"),
  new Name("f", "Chie", "japonais"),
  new Name("f", "Chieko", "japonais"),
  new Name("f", "Chiemi", "japonais"),
  new Name("f", "Chiharu", "japonais"),
  new Name("n", "Chihiro", "japonais"),
  new Name("f", "Chiho", "japonais"),
  new Name("f", "Chika", "japonais"),
  new Name("f", "Chikako", "japonais"),
  new Name("m", "Chikao", "japonais"),
  new Name("m", "Chikara", "japonais"),
  new Name("m", "Chikayoshi", "japonais"),
  new Name("f", "Chinami", "japonais"),
  new Name("f", "Chinatsu", "japonais"),
  new Name("f", "Chisato", "japonais"),
  new Name("f", "Chitose", "japonais"),
  new Name("f", "Chiya", "japonais"),
  new Name("f", "Chiyako", "japonais"),
  new Name("f", "Chiyo", "japonais"),
  new Name("f", "Chiyoko", "japonais"),
  new Name("f", "Chizuko", "japonais"),
  new Name("f", "Chizuru", "japonais"),
  new Name("m", "Chōbyō", "japonais"),
  new Name("m", "Chōei", "japonais"),
  new Name("m", "Choki", "japonais"),
  new Name("m", "Chūichi", "japonais"),
  new Name("m", "Chūjirō", "japonais"),
  new Name("m", "Dai", "japonais"),
  new Name("m", "Daichi", "japonais"),
  new Name("m", "Daigo", "japonais"),
  new Name("m", "Daihachi", "japonais"),
  new Name("m", "Daiji", "japonais"),
  new Name("m", "Daijirō", "japonais"),
  new Name("m", "Daiju", "japonais"),
  new Name("m", "Daiki", "japonais"),
  new Name("m", "Dairoku", "japonais"),
  new Name("m", "Daisaku", "japonais"),
  new Name("m", "Daishi", "japonais"),
  new Name("m", "Daishin", "japonais"),
  new Name("m", "Daisuke", "japonais"),
  new Name("m", "Daizō", "japonais"),
  new Name("m", "Eiichi", "japonais"),
  new Name("m", "Eiichiro", "japonais"),
  new Name("m", "Eiji", "japonais"),
  new Name("m", "Eijirō", "japonais"),
  new Name("m", "Eikichi", "japonais"),
  new Name("f", "Eiko", "japonais"),
  new Name("m", "Einosuke", "japonais"),
  new Name("f", "Eirin", "japonais"),
  new Name("m", "Eisaku", "japonais"),
  new Name("m", "Eisen", "japonais"),
  new Name("m", "Eishun", "japonais"),
  new Name("m", "Eisuke", "japonais"),
  new Name("m", "Eita", "japonais"),
  new Name("m", "Eitarō", "japonais"),
  new Name("m", "Eizō", "japonais"),
  new Name("f", "Emi", "japonais"),
  new Name("f", "Emiko", "japonais"),
  new Name("f", "Emiri", "japonais"),
  new Name("m", "Emon", "japonais"),
  new Name("f", "Eri", "japonais"),
  new Name("f", "Erika", "japonais"),
  new Name("f", "Eriko", "japonais"),
  new Name("f", "Erina", "japonais"),
  new Name("m", "Etsuji", "japonais"),
  new Name("f", "Etsuko", "japonais"),
  new Name("f", "Fujie", "japonais"),
  new Name("f", "Fujiko", "japonais"),
  new Name("m", "Fujio", "japonais"),
  new Name("f", "Fūka", "japonais"),
  new Name("f", "Fukumi", "japonais"),
  new Name("f", "Fumi", "japonais"),
  new Name("m", "Fumiaki", "japonais"),
  new Name("f", "Fumie", "japonais"),
  new Name("m", "Fumihiko", "japonais"),
  new Name("m", "Fumihiro", "japonais"),
  new Name("f", "Fumika", "japonais"),
  new Name("f", "Fumiko", "japonais"),
  new Name("f", "Fumino", "japonais"),
  new Name("m", "Fuminori", "japonais"),
  new Name("m", "Fumio", "japonais"),
  new Name("m", "Fumitaka", "japonais"),
  new Name("m", "Fumito", "japonais"),
  new Name("m", "Fumiya", "japonais"),
  new Name("f", "Fumiyo", "japonais"),
  new Name("f", "Fusako", "japonais"),
  new Name("m", "Fusanosuke", "japonais"),
  new Name("m", "Fusazane", "japonais"),
  new Name("f", "Futaba", "japonais"),
  new Name("m", "Futoshi", "japonais"),
  new Name("m", "Fuyuki", "japonais"),
  new Name("f", "Fuyuko", "japonais"),
  new Name("f", "Fuyumi", "japonais"),
  new Name("m", "Gaku", "japonais"),
  new Name("m", "Gakuto", "japonais"),
  new Name("m", "Gen", "japonais"),
  new Name("m", "Gen'ichi", "japonais"),
  new Name("m", "Gen'ichirō", "japonais"),
  new Name("m", "Genjirō", "japonais"),
  new Name("m", "Genki", "japonais"),
  new Name("m", "Genta", "japonais"),
  new Name("m", "Gentarō", "japonais"),
  new Name("m", "Genzo", "japonais"),
  new Name("m", "Giichi", "japonais"),
  new Name("m", "Gin", "japonais"),
  new Name("m", "Goichi", "japonais"),
  new Name("m", "Goro", "japonais"),
  new Name("m", "Hachi", "japonais"),
  new Name("f", "Hachiko", "japonais"),
  new Name("m", "Hachirō", "japonais"),
  new Name("f", "Hachiyo", "japonais"),
  new Name("f", "Hagiko", "japonais"),
  new Name("f", "Hagumi", "japonais"),
  new Name("m", "Haiko", "japonais"),
  new Name("f", "Hairi", "japonais"),
  new Name("m", "Hajime", "japonais"),
  new Name("f", "Hako", "japonais"),
  new Name("m", "Haku", "japonais"),
  new Name("m", "Hakuba", "japonais"),
  new Name("f", "Hakuko", "japonais"),
  new Name("f", "Hama", "japonais"),
  new Name("f", "Hamako", "japonais"),
  new Name("f", "Hamayo", "japonais"),
  new Name("f", "Hamiko", "japonais"),
  new Name("f", "Han", "japonais"),
  new Name("f", "Hana", "japonais"),
  new Name("f", "Hanabi", "japonais"),
  new Name("m", "Hanabusa", "japonais"),
  new Name("f", "Hanae", "japonais"),
  new Name("f", "Hanai", "japonais"),
  new Name("f", "Hanaki", "japonais"),
  new Name("f", "Hanako", "japonais"),
  new Name("f", "Hanayo", "japonais"),
  new Name("m", "Haneki:", "japonais"),
  new Name("f", "Haneko", "japonais"),
  new Name("m", "Hanjirō", "japonais"),
  new Name("m", "Hanshirō", "japonais"),
  new Name("m", "Hantarō", "japonais"),
  new Name("m", "Hareaki", "japonais"),
  new Name("f", "Harei", "japonais"),
  new Name("n", "Haru", "japonais"),
  new Name("f", "Harue", "japonais"),
  new Name("f", "Haruhi", "japonais"),
  new Name("m", "Haruhiko", "japonais"),
  new Name("m", "Haruhisa", "japonais"),
  new Name("f", "Harui", "japonais"),
  new Name("n", "Haruka", "japonais"),
  new Name("n", "Haruki", "japonais"),
  new Name("f", "Haruko", "japonais"),
  new Name("f", "Harumi", "japonais"),
  new Name("m", "Harumune", "japonais"),
  new Name("f", "Haruna", "japonais"),
  new Name("m", "Harunobu", "japonais"),
  new Name("m", "Haruo", "japonais"),
  new Name("m", "Haruomi", "japonais"),
  new Name("m", "Harushige", "japonais"),
  new Name("m", "Haruto", "japonais"),
  new Name("m", "Haruya", "japonais"),
  new Name("f", "Haruyo", "japonais"),
  new Name("m", "Haruyoshi", "japonais"),
  new Name("f", "Hase", "japonais"),
  new Name("f", "Hasuko", "japonais"),
  new Name("f", "Hasumi", "japonais"),
  new Name("f", "Hatoko", "japonais"),
  new Name("f", "Hatsu", "japonais"),
  new Name("f", "Hatsue", "japonais"),
  new Name("m", "Hatsuharu", "japonais"),
  new Name("m", "Hatsuhiko", "japonais"),
  new Name("f", "Hatsuka", "japonais"),
  new Name("f", "Hatsuko", "japonais"),
  new Name("f", "Hatsumi", "japonais"),
  new Name("f", "Hatsuno", "japonais"),
  new Name("m", "Hatsunosuke", "japonais"),
  new Name("f", "Hatsuyo", "japonais"),
  new Name("f", "Haya", "japonais"),
  new Name("f", "Hayaka", "japonais"),
  new Name("f", "Hayami", "japonais"),
  new Name("m", "Hayao", "japonais"),
  new Name("n", "Hayate", "japonais"),
  new Name("m", "Hayato", "japonais"),
  new Name("f", "Hayoko", "japonais"),
  new Name("f", "Hazuki", "japonais"),
  new Name("f", "Hanaka", "japonais"),
  new Name("f", "Hanami", "japonais"),
  new Name("f", "Hanano", "japonais"),
  new Name("f", "Hanari", "japonais"),
  new Name("f", "Hanna", "japonais"),
  new Name("f", "Hanon", "japonais"),
  new Name("f", "Harua", "japonais"),
  new Name("f", "Harune", "japonais"),
  new Name("f", "Haruno", "japonais"),
  new Name("f", "Hatsune", "japonais"),
  new Name("f", "Hiina", "japonais"),
  new Name("f", "Himari", "japonais"),
  new Name("f", "Himeno", "japonais"),
  new Name("f", "Himika", "japonais"),
  new Name("f", "Hinaka", "japonais"),
  new Name("f", "Hinami", "japonais"),
  new Name("f", "Hinano", "japonais"),
  new Name("f", "Hinari", "japonais"),
  new Name("f", "Hino", "japonais"),
  new Name("f", "Hiori", "japonais"),
  new Name("f", "Hirono", "japonais"),
  new Name("f", "Hitomi", "japonais"),
  new Name("f", "Hiyo", "japonais"),
  new Name("f", "Hono", "japonais"),
  new Name("f", "Honomi", "japonais"),
  new Name("f", "Honori", "japonais"),
  new Name("m", "Heichō", "japonais"),
  new Name("m", "Heiichirō", "japonais"),
  new Name("m", "Heihachirō", "japonais"),
  new Name("m", "Heijirō", "japonais"),
  new Name("m", "Heizaburō", "japonais"),
  new Name("m", "Heizaemon", "japonais"),
  new Name("m", "Heizō", "japonais"),
  new Name("f", "Hibari", "japonais"),
  new Name("n", "Hibiki", "japonais"),
  new Name("n", "Hide", "japonais"),
  new Name("m", "Hideaki", "japonais"),
  new Name("m", "Hidechika", "japonais"),
  new Name("m", "Hideichirō", "japonais"),
  new Name("m", "Hidejirō", "japonais"),
  new Name("m", "Hidekazu", "japonais"),
  new Name("m", "Hideki", "japonais"),
  new Name("f", "Hideko", "japonais"),
  new Name("m", "Hidemasa", "japonais"),
  new Name("n", "Hidemi", "japonais"),
  new Name("m", "Hidemichi", "japonais"),
  new Name("m", "Hidemitsu", "japonais"),
  new Name("m", "Hidenari", "japonais"),
  new Name("m", "Hidenori", "japonais"),
  new Name("m", "Hideo", "japonais"),
  new Name("m", "Hiderō", "japonais"),
  new Name("m", "Hidesaburō", "japonais"),
  new Name("m", "Hideshi", "japonais"),
  new Name("m", "Hidetada", "japonais"),
  new Name("m", "Hidetaka", "japonais"),
  new Name("m", "Hidetarō", "japonais"),
  new Name("m", "Hideto", "japonais"),
  new Name("m", "Hidetoshi", "japonais"),
  new Name("m", "Hideya", "japonais"),
  new Name("m", "Hideyuki", "japonais"),
  new Name("m", "Hideyoshi", "japonais"),
  new Name("f", "Hifumi", "japonais"),
  new Name("f", "Higashiko", "japonais"),
  new Name("f", "Hijiri", "japonais"),
  new Name("f", "Hikage", "japonais"),
  new Name("n", "Hikari", "japonais"),
  new Name("n", "Hikaru", "japonais"),
  new Name("f", "Hikiko", "japonais"),
  new Name("m", "Hikozō", "japonais"),
  new Name("f", "Himawari", "japonais"),
  new Name("f", "Hime", "japonais"),
  new Name("f", "Himeka", "japonais"),
  new Name("f", "Himeko", "japonais"),
  new Name("f", "Himi", "japonais"),
  new Name("f", "Himiko", "japonais"),
  new Name("f", "Hina", "japonais"),
  new Name("f", "Hinae", "japonais"),
  new Name("f", "Hinaki", "japonais"),
  new Name("f", "Hinako", "japonais"),
  new Name("n", "Hinata", "japonais"),
  new Name("f", "Hirako", "japonais"),
  new Name("f", "Hirari", "japonais"),
  new Name("n", "Hiro", "japonais"),
  new Name("m", "Hiroo", "japonais"),
  new Name("n", "Hiroaki", "japonais"),
  new Name("m", "Hirobumi", "japonais"),
  new Name("m", "Hirochika", "japonais"),
  new Name("f", "Hiroe", "japonais"),
  new Name("m", "Hirofumi", "japonais"),
  new Name("m", "Hiroharu", "japonais"),
  new Name("m", "Hirohide", "japonais"),
  new Name("m", "Hirohiko", "japonais"),
  new Name("m", "Hirohisa", "japonais"),
  new Name("m", "Hirohito", "japonais"),
  new Name("m", "Hiroichi", "japonais"),
  new Name("m", "Hiroie", "japonais"),
  new Name("m", "Hiroji", "japonais"),
  new Name("f", "Hiroka", "japonais"),
  new Name("m", "Hirokazu", "japonais"),
  new Name("m", "Hiroki", "japonais"),
  new Name("f", "Hiroko", "japonais"),
  new Name("m", "Hiromasa", "japonais"),
  new Name("n", "Hiromi", "japonais"),
  new Name("m", "Hiromichi", "japonais"),
  new Name("m", "Hiromitsu", "japonais"),
  new Name("m", "Hiromu", "japonais"),
  new Name("f", "Hirona", "japonais"),
  new Name("m", "Hironari", "japonais"),
  new Name("m", "Hironobu", "japonais"),
  new Name("m", "Hironori", "japonais"),
  new Name("m", "Hiroshi", "japonais"),
  new Name("m", "Hirosuke", "japonais"),
  new Name("m", "Hirotada", "japonais"),
  new Name("m", "Hirotaka", "japonais"),
  new Name("m", "Hiroteru", "japonais"),
  new Name("m", "Hiroto", "japonais"),
  new Name("m", "Hirotoshi", "japonais"),
  new Name("m", "Hirotsugu", "japonais"),
  new Name("m", "Hiroyasu", "japonais"),
  new Name("m", "Hiroya", "japonais"),
  new Name("f", "Hiroyo", "japonais"),
  new Name("m", "Hiroyuki", "japonais"),
  new Name("f", "Hiruko", "japonais"),
  new Name("f", "Hisa", "japonais"),
  new Name("f", "Hisae", "japonais"),
  new Name("m", "Hisahiko", "japonais"),
  new Name("m", "Hisahiro", "japonais"),
  new Name("m", "Hisaichi", "japonais"),
  new Name("m", "Hisaichirō", "japonais"),
  new Name("m", "Hisajirō", "japonais"),
  new Name("m", "Hisaka", "japonais"),
  new Name("m", "Hisakazu", "japonais"),
  new Name("f", "Hisako", "japonais"),
  new Name("f", "Hisami", "japonais"),
  new Name("m", "Hisamitsu", "japonais"),
  new Name("m", "Hisanaga", "japonais"),
  new Name("f", "Hisano", "japonais"),
  new Name("m", "Hisanori", "japonais"),
  new Name("m", "Hisao", "japonais"),
  new Name("n", "Hisashi", "japonais"),
  new Name("m", "Hisasuke", "japonais"),
  new Name("m", "Hisato", "japonais"),
  new Name("m", "Hisatsugu", "japonais"),
  new Name("f", "Hisayo", "japonais"),
  new Name("m", "Hisayoshi", "japonais"),
  new Name("m", "Hisayuki", "japonais"),
  new Name("f", "Hitoha", "japonais"),
  new Name("f", "Hitoko", "japonais"),
  new Name("f", "Hitomi", "japonais"),
  new Name("m", "Hitoshi", "japonais"),
  new Name("f", "Hiyoko", "japonais"),
  new Name("f", "Hiyori", "japonais"),
  new Name("m", "Hōchū", "japonais"),
  new Name("m", "Hogara", "japonais"),
  new Name("f", "Hōko", "japonais"),
  new Name("n", "Hokuto", "japonais"),
  new Name("m", "Homare", "japonais"),
  new Name("f", "Honami", "japonais"),
  new Name("f", "Honoe", "japonais"),
  new Name("f", "Honoka", "japonais"),
  new Name("f", "Hoshi", "japonais"),
  new Name("f", "Hoshie", "japonais"),
  new Name("f", "Hoshiko", "japonais"),
  new Name("f", "Hoshiyo", "japonais"),
  new Name("f", "Hosoka", "japonais"),
  new Name("n", "Hotaru", "japonais"),
  new Name("m", "Hōshun", "japonais"),
  new Name("f", "Hozumi", "japonais"),
  new Name("f", "Hyakuko", "japonais"),
  new Name("m", "Hyakuzō", "japonais"),
  new Name("f", "Hyōta", "japonais"),
  new Name("m", "Hyōzō", "japonais"),
  new Name("m", "Hyuga", "japonais"),
  new Name("m", "Hiro", "japonais"),
  new Name("m", "Ibiki", "japonais"),
  new Name("n", "Ibuki", "japonais"),
  new Name("f", "Ichi", "japonais"),
  new Name("i", "n", "japonais"),
  new Name("m", "Ichigorō", "japonais"),
  new Name("f", "Ichiho", "japonais"),
  new Name("f", "Ichika", "japonais"),
  new Name("f", "Ichiko", "japonais"),
  new Name("f", "Ichine", "japonais"),
  new Name("m", "Ichinosuke", "japonais"),
  new Name("m", "Ichirō", "japonais"),
  new Name("m", "Īchirō", "japonais"),
  new Name("m", "Ichiru", "japonais"),
  new Name("m", "Ichitarō", "japonais"),
  new Name("f", "Ichiyo", "japonais"),
  new Name("f", "Ichiyō", "japonais"),
  new Name("m", "Iekazu", "japonais"),
  new Name("m", "Iekiyo", "japonais"),
  new Name("f", "Ieko", "japonais"),
  new Name("m", "Iemoto", "japonais"),
  new Name("m", "Ienobu", "japonais"),
  new Name("m", "Ietada", "japonais"),
  new Name("m", "Ieyasu", "japonais"),
  new Name("f", "Ihoko", "japonais"),
  new Name("m", "Ijūrō", "japonais"),
  new Name("f", "Iko", "japonais"),
  new Name("m", "Ikkaku", "japonais"),
  new Name("m", "Ikkō", "japonais"),
  new Name("m", "Ikkû", "japonais"),
  new Name("f", "Iku", "japonais"),
  new Name("f", "Ikue", "japonais"),
  new Name("f", "Ikuko", "japonais"),
  new Name("f", "Ikumi", "japonais"),
  new Name("f", "Ikuno", "japonais"),
  new Name("m", "Ikuo", "japonais"),
  new Name("m", "Ikurō", "japonais"),
  new Name("m", "Ikutaka", "japonais"),
  new Name("m", "Ikutarō", "japonais"),
  new Name("f", "Ikuyo", "japonais"),
  new Name("f", "Inaho", "japonais"),
  new Name("m", "Inajirō", "japonais"),
  new Name("f", "Inari", "japonais"),
  new Name("f", "Ine", "japonais"),
  new Name("m", "Inejirō", "japonais"),
  new Name("f", "Ineko", "japonais"),
  new Name("f", "Ino", "japonais"),
  new Name("f", "Inoko", "japonais"),
  new Name("f", "Inuko", "japonais"),
  new Name("f", "Io", "japonais"),
  new Name("f", "Iori", "japonais"),
  new Name("m", "Ippei", "japonais"),
  new Name("m", "Irie", "japonais"),
  new Name("f", "Irina", "japonais"),
  new Name("f", "Irisu", "japonais"),
  new Name("n", "Iruka", "japonais"),
  new Name("m", "Isaburō,", "japonais"),
  new Name("f", "Isako", "japonais"),
  new Name("f", "Isami", "japonais"),
  new Name("m", "Isamu", "japonais"),
  new Name("n", "Isao", "japonais"),
  new Name("f", "Iseko", "japonais"),
  new Name("m", "Ishitsugu", "japonais"),
  new Name("f", "Ishizu", "japonais"),
  new Name("f", "Iso", "japonais"),
  new Name("f", "Isoko", "japonais"),
  new Name("m", "Isoroku", "japonais"),
  new Name("m", "Issei", "japonais"),
  new Name("m", "Isuke", "japonais"),
  new Name("f", "Isuzu", "japonais"),
  new Name("n", "Itachi", "japonais"),
  new Name("f", "Itoe", "japonais"),
  new Name("f", "Itoko", "japonais"),
  new Name("f", "Itomi", "japonais"),
  new Name("f", "Itoyo", "japonais"),
  new Name("f", "Itsu", "japonais"),
  new Name("f", "Itsuka", "japonais"),
  new Name("n", "Itsuki", "japonais"),
  new Name("f", "Itsuko", "japonais"),
  new Name("f", "Itsumi", "japonais"),
  new Name("m", "Itsuo", "japonais"),
  new Name("f", "Iwa", "japonais"),
  new Name("m", "Iwajirō", "japonais"),
  new Name("f", "Iwako", "japonais"),
  new Name("f", "Iwami", "japonais"),
  new Name("m", "Iwao", "japonais"),
  new Name("m", "Ichimaru", "japonais"),
  new Name("f", "Iyo", "japonais"),
  new Name("f", "Iyoko", "japonais"),
  new Name("f", "Iyona", "japonais"),
  new Name("f", "Iyori", "japonais"),
  new Name("n", "Izaki", "japonais"),
  new Name("m", "Izō", "japonais"),
  new Name("f", "Izuki", "japonais"),
  new Name("f", "Izuko", "japonais"),
  new Name("n", "Izumi", "japonais"),
  new Name("f", "Izumiko", "japonais"),
  new Name("m", "Izuru", "japonais"),
  new Name("m", "Izaya", "japonais"),
  new Name("m", "Izuku", "japonais"),
  new Name("f", "Ichiha", "japonais"),
  new Name("f", "Imari", "japonais"),
  new Name("f", "Inori", "japonais"),
  new Name("f", "Iona", "japonais"),
  new Name("f", "Iroha", "japonais"),
  new Name("f", "Itoha", "japonais"),
  new Name("f", "Itori", "japonais"),
  new Name("m", "Jigorō", "japonais"),
  new Name("m", "Jin'ichi", "japonais"),
  new Name("m", "Jin'ichirō", "japonais"),
  new Name("n", "Jin", "japonais"),
  new Name("f", "Jinko", "japonais"),
  new Name("m", "Jinpachi", "japonais"),
  new Name("m", "Jinta", "japonais"),
  new Name("m", "Jinzō", "japonais"),
  new Name("m", "Jirokichi", "japonais"),
  new Name("m", "Jirō", "japonais"),
  new Name("m", "Jirōzaemon", "japonais"),
  new Name("f", "Jitsuko", "japonais"),
  new Name("m", "Jōichi", "japonais"),
  new Name("m", "Jōji", "japonais"),
  new Name("m", "Jōjirō", "japonais"),
  new Name("m", "Jōtarō", "japonais"),
  new Name("m", "Juichi", "japonais"),
  new Name("m", "Juichirō", "japonais"),
  new Name("n", "Jun", "japonais"),
  new Name("m", "Jun'ichi", "japonais"),
  new Name("m", "Jun'ichirō", "japonais"),
  new Name("m", "Junji", "japonais"),
  new Name("f", "Junko", "japonais"),
  new Name("m", "Jun'nosuke", "japonais"),
  new Name("m", "Junpei", "japonais"),
  new Name("m", "Junrō", "japonais"),
  new Name("m", "Junzō", "japonais"),
  new Name("m", "Jūjirō", "japonais"),
  new Name("m", "Junya", "japonais"),
  new Name("m", "Jūrōta", "japonais"),
  new Name("m", "Jūzō", "japonais"),
  new Name("m", "Jyūro", "japonais"),
  new Name("f", "Junko", "japonais"),
  new Name("f", "Junna", "japonais"),
  new Name("m", "Kabuto", "japonais"),
  new Name("f", "Kachiko", "japonais"),
  new Name("f", "Kae", "japonais"),
  new Name("f", "Kaede", "japonais"),
  new Name("f", "Kaeko", "japonais"),
  new Name("m", "Kagari篝", "japonais"),
  new Name("n", "Kagami", "japonais"),
  new Name("f", "Kagamiko", "japonais"),
  new Name("f", "Kageo", "japonais"),
  new Name("f", "Kagerou", "japonais"),
  new Name("m", "Kegetora", "japonais"),
  new Name("m", "Kagi", "japonais"),
  new Name("f", "Kagome", "japonais"),
  new Name("f", "Kaguya", "japonais"),
  new Name("f", "Kagura", "japonais"),
  new Name("m", "Kahei", "japonais"),
  new Name("f", "Kaho", "japonais"),
  new Name("f", "Kahoko", "japonais"),
  new Name("f", "Kahori", "japonais"),
  new Name("f", "Kahoru", "japonais"),
  new Name("f", "Kahoruko", "japonais"),
  new Name("n", "Kai", "japonais"),
  new Name("m", "Kaïdo", "japonais"),
  new Name("m", "Kaiho", "japonais"),
  new Name("m", "Kaiichirō", "japonais"),
  new Name("m", "Kaiji", "japonais"),
  new Name("f", "Kaiko", "japonais"),
  new Name("f", "Kairi", "japonais"),
  new Name("m", "Kaitarō", "japonais"),
  new Name("m", "Kaito", "japonais"),
  new Name("f", "Kaiya", "japonais"),
  new Name("f", "Kaiyo", "japonais"),
  new Name("m", "Kaiyuu", "japonais"),
  new Name("m", "Kajirō", "japonais"),
  new Name("m", "Kakeru", "japonais"),
  new Name("f", "Kako", "japonais"),
  new Name("m", "Kakuei", "japonais"),
  new Name("m", "Kakujirō", "japonais"),
  new Name("f", "Kakuko", "japonais"),
  new Name("m", "Kakuzō", "japonais"),
  new Name("m", "Kamasuke", "japonais"),
  new Name("f", "Kame", "japonais"),
  new Name("m", "Kamegorō", "japonais"),
  new Name("m", "Kamejirō", "japonais"),
  new Name("f", "Kameko", "japonais"),
  new Name("f", "Kameyo", "japonais"),
  new Name("n", "Kami", "japonais"),
  new Name("m", "Kamijo", "japonais"),
  new Name("f", "Kamiko", "japonais"),
  new Name("m", "Kamui", "japonais"),
  new Name("f", "Mamiko", "japonais"),
  new Name("f", "Mamiya", "japonais"),
  new Name("m", "Mamoru", "japonais"),
  new Name("f", "Mana", "japonais"),
  new Name("n", "Manabu", "japonais"),
  new Name("f", "Manami", "japonais"),
  new Name("f", "Manaka", "japonais"),
  new Name("m", "Manichi", "japonais"),
  new Name("m", "Manjirō", "japonais"),
  new Name("n", "Mao", "japonais"),
  new Name("f", "Maoko", "japonais"),
  new Name("f", "Maon", "japonais"),
  new Name("f", "Mari", "japonais"),
  new Name("f", "Maria", "japonais"),
  new Name("f", "Marie", "japonais"),
  new Name("f", "Mariko", "japonais"),
  new Name("f", "Marina", "japonais"),
  new Name("f", "Mariya", "japonais"),
  new Name("f", "Maro", "japonais"),
  new Name("f", "Maru", "japonais"),
  new Name("f", "Marumi", "japonais"),
  new Name("n", "Masa", "japonais"),
  new Name("m", "Masaaki", "japonais"),
  new Name("m", "Masachika", "japonais"),
  new Name("f", "Masae", "japonais"),
  new Name("m", "Masaharu", "japonais"),
  new Name("m", "Masahiko", "japonais"),
  new Name("m", "Masahiro", "japonais"),
  new Name("m", "Masahito", "japonais"),
  new Name("f", "Masaho", "japonais"),
  new Name("m", "Masaichi", "japonais"),
  new Name("m", "Masaichirō", "japonais"),
  new Name("m", "Masajūrō", "japonais"),
  new Name("m", "Masakage", "japonais"),
  new Name("m", "Masakatsu", "japonais"),
  new Name("m", "Masakazu", "japonais"),
  new Name("n", "Masaki", "japonais"),
  new Name("f", "Masako", "japonais"),
  new Name("n", "Masami", "japonais"),
  new Name("m", "Masamichi", "japonais"),
  new Name("m", "Masamitsu", "japonais"),
  new Name("m", "Masamori", "japonais"),
  new Name("m", "Masamune", "japonais"),
  new Name("m", "Masanao", "japonais"),
  new Name("m", "Masanobu", "japonais"),
  new Name("m", "Masanori", "japonais"),
  new Name("m", "Masao", "japonais"),
  new Name("m", "Masaru", "japonais"),
  new Name("m", "Masashi", "japonais"),
  new Name("m", "Masataka", "japonais"),
  new Name("m", "Masatake", "japonais"),
  new Name("m", "Masatane", "japonais"),
  new Name("m", "Masato", "japonais"),
  new Name("m", "Masatoshi", "japonais"),
  new Name("m", "Masatsugu", "japonais"),
  new Name("m", "Masaya", "japonais"),
  new Name("f", "Masayo", "japonais"),
  new Name("m", "Masayoshi", "japonais"),
  new Name("m", "Masayuki", "japonais"),
  new Name("m", "Masazumi", "japonais"),
  new Name("n", "Masumi", "japonais"),
  new Name("m", "Masuyo", "japonais"),
  new Name("n", "Matsuba", "japonais"),
  new Name("f", "Matsuko", "japonais"),
  new Name("m", "Matsugorō", "japonais"),
  new Name("m", "Matsusuke", "japonais"),
  new Name("m", "Matsuyuki", "japonais"),
  new Name("n", "Maya", "japonais"),
  new Name("f", "Mayako", "japonais"),
  new Name("n", "Mayo", "japonais"),
  new Name("f", "Mayoko", "japonais"),
  new Name("f", "Mayu", "japonais"),
  new Name("f", "Mayuki", "japonais"),
  new Name("f", "Mayuko", "japonais"),
  new Name("f", "Mayumi", "japonais"),
  new Name("f", "Mayura", "japonais"),
  new Name("f", "Mayuri", "japonais"),
  new Name("n", "Megumi", "japonais"),
  new Name("f", "Megumu", "japonais"),
  new Name("f", "Mei", "japonais"),
  new Name("f", "Meiko", "japonais"),
  new Name("m", "Meito", "japonais"),
  new Name("m", "Menma", "japonais"),
  new Name("f", "Meroko", "japonais"),
  new Name("m", "Meruem", "japonais"),
  new Name("f", "Miai", "japonais"),
  new Name("f", "Miaki", "japonais"),
  new Name("f", "Michiko", "japonais"),
  new Name("m", "Michisaburō", "japonais"),
  new Name("m", "Michitaka", "japonais"),
  new Name("f", "Michi", "japonais"),
  new Name("n", "Michibiku", "japonais"),
  new Name("m", "Michiie", "japonais"),
  new Name("f", "Michiyo", "japonais"),
  new Name("m", "Michizō", "japonais"),
  new Name("f", "Midori", "japonais"),
  new Name("f", "Mie", "japonais"),
  new Name("f", "Mieko", "japonais"),
  new Name("f", "Mifuyu", "japonais"),
  new Name("f", "Miharu", "japonais"),
  new Name("f", "Miho", "japonais"),
  new Name("f", "Mihoko", "japonais"),
  new Name("f", "Mika", "japonais"),
  new Name("f", "Mikako", "japonais"),
  new Name("f", "Mikan", "japonais"),
  new Name("n", "Miki", "japonais"),
  new Name("f", "Mikie", "japonais"),
  new Name("m", "Mikihisa", "japonais"),
  new Name("f", "Mikiko", "japonais"),
  new Name("m", "Mikio", "japonais"),
  new Name("f", "Miko", "japonais"),
  new Name("n", "Mikoto", "japonais"),
  new Name("f", "Miku", "japonais"),
  new Name("f", "Mina", "japonais"),
  new Name("f", "Minako", "japonais"),
  new Name("n", "Minami", "japonais"),
  new Name("m", "Minato", "japonais"),
  new Name("f", "Minazuki", "japonais"),
  new Name("f", "Mine", "japonais"),
  new Name("f", "Mineko", "japonais"),
  new Name("f", "Minene", "japonais"),
  new Name("f", "Minori", "japonais"),
  new Name("m", "Minoru", "japonais"),
  new Name("f", "Mio", "japonais"),
  new Name("f", "Mioko", "japonais"),
  new Name("f", "Mion", "japonais"),
  new Name("f", "Mirai", "japonais"),
  new Name("f", "Mirajane", "japonais"),
  new Name("f", "Miroko", "japonais"),
  new Name("i", "n", "japonais"),
  new Name("f", "Minto", "japonais"),
  new Name("f", "Misa", "japonais"),
  new Name("n", "Misaki", "japonais"),
  new Name("f", "Misako", "japonais"),
  new Name("n", "Misao", "japonais"),
  new Name("f", "Misato", "japonais"),
  new Name("f", "Misuzu", "japonais"),
  new Name("n", "Mitsu", "japonais"),
  new Name("m", "Mitsuaki", "japonais"),
  new Name("f", "Mitsue", "japonais"),
  new Name("f", "Mitsuha", "japonais"),
  new Name("m", "Mitsuhide", "japonais"),
  new Name("n", "Mitsuki", "japonais"),
  new Name("f", "Mitsuko", "japonais"),
  new Name("m", "Mitsumasa", "japonais"),
  new Name("f", "Mitsumi", "japonais"),
  new Name("m", "Mitsumichi", "japonais"),
  new Name("f", "Mitsune", "japonais"),
  new Name("m", "Mitsunori", "japonais"),
  new Name("m", "Mitsuo", "japonais"),
  new Name("m", "Mitsuomi", "japonais"),
  new Name("m", "Mitsuru", "japonais"),
  new Name("f", "Mitsurin", "japonais"),
  new Name("m", "Mitsushige", "japonais"),
  new Name("m", "Mitsutoshi", "japonais"),
  new Name("f", "Mitsuyo", "japonais"),
  new Name("m", "Mitsuyori", "japonais"),
  new Name("m", "Mitsuyoshi", "japonais"),
  new Name("f", "Miu", "japonais"),
  new Name("f", "Miuna", "japonais"),
  new Name("f", "Miwa", "japonais"),
  new Name("f", "Miwako", "japonais"),
  new Name("n", "Miyabi", "japonais"),
  new Name("f", "Miya", "japonais"),
  new Name("f", "Miyako", "japonais"),
  new Name("f", "Miyo", "japonais"),
  new Name("f", "Miyoko", "japonais"),
  new Name("f", "Miyu", "japonais"),
  new Name("f", "Miyuki", "japonais"),
  new Name("f", "Miyuna", "japonais"),
  new Name("f", "Mizore", "japonais"),
  new Name("f", "Mizue", "japonais"),
  new Name("n", "Mizuho", "japonais"),
  new Name("n", "Mizuki", "japonais"),
  new Name("f", "Mizutomo", "japonais"),
  new Name("m", "Mochiaki", "japonais"),
  new Name("f", "Moe", "japonais"),
  new Name("f", "Moeko", "japonais"),
  new Name("f", "Moemi", "japonais"),
  new Name("f", "Moka", "japonais"),
  new Name("f", "Mokona", "japonais"),
  new Name("n", "Momiji", "japonais"),
  new Name("f", "Momo", "japonais"),
  new Name("f", "Momoe", "japonais"),
  new Name("f", "Momoka", "japonais"),
  new Name("f", "Momoko", "japonais"),
  new Name("m", "Momotarō", "japonais"),
  new Name("f", "Morie", "japonais"),
  new Name("m", "Morihei", "japonais"),
  new Name("m", "Morihiro", "japonais"),
  new Name("f", "Morii", "japonais"),
  new Name("f", "Moriko", "japonais"),
  new Name("m", "Morisada", "japonais"),
  new Name("m", "Moriteru", "japonais"),
  new Name("m", "Moritomo", "japonais"),
  new Name("f", "Morita", "japonais"),
  new Name("m", "Moriyasu", "japonais"),
  new Name("m", "Motoaki", "japonais"),
  new Name("m", "Motoji", "japonais"),
  new Name("m", "Motojirō", "japonais"),
  new Name("f", "Motoka", "japonais"),
  new Name("f", "Motoko", "japonais"),
  new Name("m", "Motonaga", "japonais"),
  new Name("m", "Motonobu", "japonais"),
  new Name("m", "Motonori", "japonais"),
  new Name("m", "Motoo", "japonais"),
  new Name("m", "Motoyori", "japonais"),
  new Name("n", "Mugetsu", "japonais"),
  new Name("m", "Muneaki", "japonais"),
  new Name("m", "Munehide", "japonais"),
  new Name("m", "Munemasa", "japonais"),
  new Name("m", "Mumei", "japonais"),
  new Name("f", "Mura", "japonais"),
  new Name("m", "Murakami", "japonais"),
  new Name("m", "Muramasa", "japonais"),
  new Name("f", "Murasaki", "japonais"),
  new Name("m", "Muro室", "japonais"),
  new Name("f", "Mutsuki", "japonais"),
  new Name("f", "Mutsuko", "japonais"),
  new Name("f", "Maasa", "japonais"),
  new Name("f", "Maaya", "japonais"),
  new Name("f", "Machi", "japonais"),
  new Name("f", "Mahana", "japonais"),
  new Name("f", "Mahina", "japonais"),
  new Name("f", "Maia", "japonais"),
  new Name("f", "Maiko", "japonais"),
  new Name("f", "Maimi", "japonais"),
  new Name("f", "Maka", "japonais"),
  new Name("f", "Makana", "japonais"),
  new Name("f", "Mako", "japonais"),
  new Name("f", "Mami", "japonais"),
  new Name("f", "Manae", "japonais"),
  new Name("f", "Manaha", "japonais"),
  new Name("f", "Mano", "japonais"),
  new Name("f", "Manoka", "japonais"),
  new Name("f", "Maomi", "japonais"),
  new Name("f", "Maori", "japonais"),
  new Name("f", "Mari", "japonais"),
  new Name("f", "Mariha", "japonais"),
  new Name("f", "Marii", "japonais"),
  new Name("f", "Marika", "japonais"),
  new Name("f", "Mariko", "japonais"),
  new Name("f", "Marin", "japonais"),
  new Name("f", "Marino", "japonais"),
  new Name("f", "Marisa", "japonais"),
  new Name("f", "Mashiro", "japonais"),
  new Name("f", "Matsuri", "japonais"),
  new Name("f", "Mau", "japonais"),
  new Name("f", "Maya", "japonais"),
  new Name("f", "Mayuka", "japonais"),
  new Name("f", "Mayuna", "japonais"),
  new Name("f", "Megu", "japonais"),
  new Name("f", "Meika", "japonais"),
  new Name("f", "Meina", "japonais"),
  new Name("f", "Meiri", "japonais"),
  new Name("f", "Meisa", "japonais"),
  new Name("f", "Mia", "japonais"),
  new Name("f", "Midori", "japonais"),
  new Name("f", "Mihana", "japonais"),
  new Name("f", "Mihane", "japonais"),
  new Name("f", "Mii", "japonais"),
  new Name("f", "Miina", "japonais"),
  new Name("f", "Mika", "japonais"),
  new Name("f", "Miko", "japonais"),
  new Name("f", "Miku", "japonais"),
  new Name("f", "Mikuri", "japonais"),
  new Name("f", "Mikuru", "japonais"),
  new Name("f", "Mimi", "japonais"),
  new Name("f", "Mina", "japonais"),
  new Name("f", "Minamo", "japonais"),
  new Name("f", "Mino", "japonais"),
  new Name("f", "Mioka", "japonais"),
  new Name("f", "Mion", "japonais"),
  new Name("f", "Miona", "japonais"),
  new Name("f", "Miori", "japonais"),
  new Name("f", "Mira", "japonais"),
  new Name("f", "Mirei", "japonais"),
  new Name("f", "Miri", "japonais"),
  new Name("f", "Miria", "japonais"),
  new Name("f", "Mirina", "japonais"),
  new Name("f", "Miruku", "japonais"),
  new Name("f", "Misa", "japonais"),
  new Name("f", "Misono", "japonais"),
  new Name("f", "Misora", "japonais"),
  new Name("f", "Miya", "japonais"),
  new Name("f", "Miyako", "japonais"),
  new Name("f", "Miyuka", "japonais"),
  new Name("f", "Miyuno", "japonais"),
  new Name("f", "Miyuri", "japonais"),
  new Name("f", "Mizuho", "japonais"),
  new Name("f", "Mizuka", "japonais"),
  new Name("f", "Moa", "japonais"),
  new Name("f", "Moana", "japonais"),
  new Name("f", "Moe", "japonais"),
  new Name("f", "Moeka", "japonais"),
  new Name("f", "Moena", "japonais"),
  new Name("f", "Moka", "japonais"),
  new Name("f", "Momo", "japonais"),
  new Name("f", "Momoa", "japonais"),
  new Name("f", "Momoha", "japonais"),
  new Name("f", "Momona", "japonais"),
  new Name("f", "Momone", "japonais"),
  new Name("f", "Mona", "japonais"),
  new Name("f", "Monaka", "japonais"),
  new Name("f", "Monami", "japonais"),
  new Name("f", "Mone", "japonais"),
  new Name("f", "Motomi", "japonais"),
  new Name("f", "Mutsumi", "japonais"),
  new Name("f", "Myu", "japonais"),
  new Name("f", "Nadeshiko", "japonais"),
  new Name("f", "Nagako", "japonais"),
  new Name("m", "Nagato", "japonais"),
  new Name("f", "Nagatsuki", "japonais"),
  new Name("m", "Nagihiko", "japonais"),
  new Name("n", "Nagisa", "japonais"),
  new Name("f", "Nahoko", "japonais"),
  new Name("m", "Nakatsu", "japonais"),
  new Name("f", "Nami", "japonais"),
  new Name("f", "Namie", "japonais"),
  new Name("f", "Namiko", "japonais"),
  new Name("f", "Nana", "japonais"),
  new Name("f", "Nanae", "japonais"),
  new Name("f", "Nanako", "japonais"),
  new Name("f", "Nanami", "japonais"),
  new Name("fi", "Nanoha", "japonais"),
  new Name("n", "Nao", "japonais"),
  new Name("m", "Naoaki", "japonais"),
  new Name("m", "Naohiro", "japonais"),
  new Name("m", "Naokatsu", "japonais"),
  new Name("m", "Naoki", "japonais"),
  new Name("f", "Naoko", "japonais"),
  new Name("n", "Naomi直美", "japonais"),
  new Name("m", "Naomori", "japonais"),
  new Name("m", "Naonori", "japonais"),
  new Name("f", "Naori", "japonais"),
  new Name("m", "Naosuke", "japonais"),
  new Name("m", "Naotaka", "japonais"),
  new Name("m", "Naoto", "japonais"),
  new Name("m", "Naoya", "japonais"),
  new Name("m", "Naoyuki", "japonais"),
  new Name("m", "Naozumi", "japonais"),
  new Name("m", "Naraku", "japonais"),
  new Name("f", "Nari", "japonais"),
  new Name("f", "Nariko", "japonais"),
  new Name("m", "Narinobu", "japonais"),
  new Name("m", "Naritaka", "japonais"),
  new Name("m", "Naritami", "japonais"),
  new Name("m", "Naritsugu", "japonais"),
  new Name("n", "Naru", "japonais"),
  new Name("m", "Naruhiko", "japonais"),
  new Name("m", "Naruhito", "japonais"),
  new Name("f", "Narumi", "japonais"),
  new Name("m", "Naruto", "japonais"),
  new Name("n", "Natsu", "japonais"),
  new Name("n", "Natsuki", "japonais"),
  new Name("f", "Natsuko", "japonais"),
  new Name("f", "Natsume", "japonais"),
  new Name("f", "Natsumi", "japonais"),
  new Name("m", "Natsuo", "japonais"),
  new Name("f", "Nayoko", "japonais"),
  new Name("f", "Nayuki", "japonais"),
  new Name("f", "Nene", "japonais"),
  new Name("n", "Neru", "japonais"),
  new Name("f", "Nezuko", "japonais"),
  new Name("n", "Niji", "japonais"),
  new Name("f", "Nijiko", "japonais"),
  new Name("f", "Nina", "japonais"),
  new Name("m", "Nita", "japonais"),
  new Name("n", "Nobara", "japonais"),
  new Name("m", "Noboru", "japonais"),
  new Name("n", "Nobu", "japonais"),
  new Name("m", "Nobuaki", "japonais"),
  new Name("m", "Nobuchika", "japonais"),
  new Name("m", "Nobuharu", "japonais"),
  new Name("m", "Nobuhide", "japonais"),
  new Name("m", "Nobuhiko", "japonais"),
  new Name("m", "Nobukado", "japonais"),
  new Name("m", "Nobukimi", "japonais"),
  new Name("f", "Nobuko", "japonais"),
  new Name("m", "Nobumasa", "japonais"),
  new Name("m", "Nobunaga", "japonais"),
  new Name("m", "Nobunori", "japonais"),
  new Name("m", "Nobuo", "japonais"),
  new Name("m", "Noburō", "japonais"),
  new Name("m", "Nobushige", "japonais"),
  new Name("m", "Nobusuke", "japonais"),
  new Name("m", "Nobutaka", "japonais"),
  new Name("m", "Nobutatsu", "japonais"),
  new Name("m", "Nobuto", "japonais"),
  new Name("m", "Nobutomo", "japonais"),
  new Name("m", "Nobutsuna", "japonais"),
  new Name("m", "Nobutsune", "japonais"),
  new Name("m", "Nobuya", "japonais"),
  new Name("m", "Nobuyasu", "japonais"),
  new Name("m", "Nobuyori", "japonais"),
  new Name("m", "Nobuyoshi", "japonais"),
  new Name("m", "Nobuyuki", "japonais"),
  new Name("f", "Nodoka", "japonais"),
  new Name("m", "Nori", "japonais"),
  new Name("m", "Noriaki", "japonais"),
  new Name("f", "Norie", "japonais"),
  new Name("m", "Norifumi", "japonais"),
  new Name("m", "Norihei", "japonais"),
  new Name("m", "Norihiro", "japonais"),
  new Name("m", "Norihisa", "japonais"),
  new Name("m", "Norihito", "japonais"),
  new Name("m", "Norikatsu", "japonais"),
  new Name("f", "Noriko", "japonais"),
  new Name("m", "Noritomo", "japonais"),
  new Name("m", "Norio", "japonais"),
  new Name("m", "Norisuke", "japonais"),
  new Name("m", "Noriyuki", "japonais"),
  new Name("f", "Nowaki", "japonais"),
  new Name("n", "Nozomi", "japonais"),
  new Name("n", "Nozomu", "japonais"),
  new Name("f", "Nae", "japonais"),
  new Name("f", "Nagomi", "japonais"),
  new Name("f", "Naho", "japonais"),
  new Name("f", "Nako", "japonais"),
  new Name("f", "Nanaha", "japonais"),
  new Name("f", "Nanaho", "japonais"),
  new Name("f", "Nanaka", "japonais"),
  new Name("f", "Nanao", "japonais"),
  new Name("f", "Nanase", "japonais"),
  new Name("f", "Nano", "japonais"),
  new Name("f", "Nanoka", "japonais"),
  new Name("f", "Naoko", "japonais"),
  new Name("f", "Naomi", "japonais"),
  new Name("f", "Nayu", "japonais"),
  new Name("f", "Nayuka", "japonais"),
  new Name("f", "Nayumi", "japonais"),
  new Name("f", "Nene", "japonais"),
  new Name("f", "Nichika", "japonais"),
  new Name("f", "Niina", "japonais"),
  new Name("f", "Nika", "japonais"),
  new Name("f", "Noe", "japonais"),
  new Name("f", "Noi", "japonais"),
  new Name("f", "Noka", "japonais"),
  new Name("f", "Non", "japonais"),
  new Name("f", "Nono", "japonais"),
  new Name("f", "Nonoa", "japonais"),
  new Name("f", "Nonoha", "japonais"),
  new Name("f", "Nonoka", "japonais"),
  new Name("f", "Nonoko", "japonais"),
  new Name("f", "Norika", "japonais"),
  new Name("m", "Obito", "japonais"),
  new Name("m", "Ōgai", "japonais"),
  new Name("f", "Oguri", "japonais"),
  new Name("f", "Ohatsu", "japonais"),
  new Name("m", "Ohjiro", "japonais"),
  new Name("m", "Ōichirō", "japonais"),
  new Name("f", "Oka", "japonais"),
  new Name("f", "Ōkami", "japonais"),
  new Name("f", "Oki", "japonais"),
  new Name("f", "Okiko", "japonais"),
  new Name("n", "Okuni", "japonais"),
  new Name("m", "Oniroku", "japonais"),
  new Name("f", "Orie", "japonais"),
  new Name("f", "Orine", "japonais"),
  new Name("f", "Orihime", "japonais"),
  new Name("f", "Orika", "japonais"),
  new Name("f", "Orisa", "japonais"),
  new Name("n", "Oriza", "japonais"),
  new Name("n", "Osami", "japonais"),
  new Name("m", "Osamu", "japonais"),
  new Name("m", "Otani", "japonais"),
  new Name("f", "Otoe", "japonais"),
  new Name("m", "Otohiko", "japonais"),
  new Name("f", "Otoha", "japonais"),
  new Name("f", "Otoka", "japonais"),
  new Name("f", "Otone", "japonais"),
  new Name("f", "Pakunoda", "japonais"),
  new Name("m", "Piko/Pico", "japonais"),
  new Name("f", "Pinko", "japonais"),
  new Name("f", "Raion", "japonais"),
  new Name("f", "Rakka", "japonais"),
  new Name("f", "Ran", "japonais"),
  new Name("f", "Ranko", "japonais"),
  new Name("n", "Rei", "japonais"),
  new Name("m", "Reiichi", "japonais"),
  new Name("m", "Reiichirō", "japonais"),
  new Name("m", "Reijirō", "japonais"),
  new Name("f", "Reika", "japonais"),
  new Name("f", "Reiko", "japonais"),
  new Name("f", "Reimi", "japonais"),
  new Name("f", "Reina", "japonais"),
  new Name("f", "Reira", "japonais"),
  new Name("f", "Reiri", "japonais"),
  new Name("m", "Reita", "japonais"),
  new Name("m", "Reitarō", "japonais"),
  new Name("m", "Reiya", "japonais"),
  new Name("f", "Remi", "japonais"),
  new Name("n", "Ren", "japonais"),
  new Name("f", "Rena", "japonais"),
  new Name("f", "Renge", "japonais"),
  new Name("n", "Rengu", "japonais"),
  new Name("m", "Renji", "japonais"),
  new Name("m", "Renjirō", "japonais"),
  new Name("f", "Renko", "japonais"),
  new Name("m", "Renzaburō", "japonais"),
  new Name("n", "Reon", "japonais"),
  new Name("n", "Reona", "japonais"),
  new Name("f", "Ria", "japonais"),
  new Name("m", "Riamu", "japonais"),
  new Name("f", "Richiko", "japonais"),
  new Name("f", "Rie", "japonais"),
  new Name("f", "Rieko", "japonais"),
  new Name("f", "Riena", "japonais"),
  new Name("m", "Rihei", "japonais"),
  new Name("f", "Riho", "japonais"),
  new Name("f", "Rihoko", "japonais"),
  new Name("m", "Riichi", "japonais"),
  new Name("m", "Riichirō", "japonais"),
  new Name("f", "Rikka", "japonais"),
  new Name("f", "Rikako", "japonais"),
  new Name("m", "Riki", "japonais"),
  new Name("f", "Riko", "japonais"),
  new Name("n", "Riku", "japonais"),
  new Name("f", "Rikuko", "japonais"),
  new Name("m", "Rikuo", "japonais"),
  new Name("f", "Rima", "japonais"),
  new Name("f", "Rimi", "japonais"),
  new Name("n", "Rin", "japonais"),
  new Name("f", "Rina", "japonais"),
  new Name("f", "Rinako", "japonais"),
  new Name("f", "Rinda", "japonais"),
  new Name("m", "Rin'ichirō", "japonais"),
  new Name("n", "Ringo", "japonais"),
  new Name("m", "Rinji", "japonais"),
  new Name("m", "Rinjirō", "japonais"),
  new Name("f", "Rinko", "japonais"),
  new Name("f", "Rinku", "japonais"),
  new Name("f", "Rino", "japonais"),
  new Name("m", "Rintarō", "japonais"),
  new Name("f", "Rio", "japonais"),
  new Name("f", "Rioko", "japonais"),
  new Name("m", "Rion", "japonais"),
  new Name("f", "Riona", "japonais"),
  new Name("f", "Rira", "japonais"),
  new Name("f", "Riria", "japonais"),
  new Name("f", "Ririko", "japonais"),
  new Name("f", "Ririna", "japonais"),
  new Name("f", "Ririse", "japonais"),
  new Name("f", "Riru", "japonais"),
  new Name("f", "Risa", "japonais"),
  new Name("f", "Risako", "japonais"),
  new Name("n", "Ritsu", "japonais"),
  new Name("f", "Ritsuko", "japonais"),
  new Name("f", "Riya", "japonais"),
  new Name("f", "Riyako", "japonais"),
  new Name("f", "Riyo", "japonais"),
  new Name("m", "Riyō", "japonais"),
  new Name("f", "Riyoko", "japonais"),
  new Name("f", "Riyu", "japonais"),
  new Name("f", "Roko", "japonais"),
  new Name("m", "Rokujirō", "japonais"),
  new Name("m", "Rokurō", "japonais"),
  new Name("n", "Roku", "japonais"),
  new Name("f", "Rōza", "japonais"),
  new Name("n", "Rui", "japonais"),
  new Name("f", "Ruika", "japonais"),
  new Name("f", "Ruiko", "japonais"),
  new Name("m", "Ruito", "japonais"),
  new Name("f", "Ruka", "japonais"),
  new Name("f", "Rukina", "japonais"),
  new Name("f", "Rumi", "japonais"),
  new Name("f", "Rumiko", "japonais"),
  new Name("f", "Runa", "japonais"),
  new Name("f", "Ruri", "japonais"),
  new Name("f", "Ruriko", "japonais"),
  new Name("f", "Rurie", "japonais"),
  new Name("f", "Rutsuko", "japonais"),
  new Name("n", "Ryō", "japonais"),
  new Name("m", "Ryōga", "japonais"),
  new Name("m", "Ryōhei", "japonais"),
  new Name("m", "Ryōichi", "japonais"),
  new Name("m", "Ryōichirō", "japonais"),
   new Name("m", "Ryōji", "japonais"),
   new Name("f", "Ryōka", "japonais"),
   new Name("f", "Ryōko", "japonais"),
   new Name("m", "Ryōma", "japonais"),
   new Name("m", "Ryōsuke", "japonais"),
   new Name("m", "Ryōta", "japonais"),
   new Name("m", "Ryōtarō", "japonais"),
   new Name("m", "Ryōzō", "japonais"),
   new Name("m", "Ryū", "japonais"),
   new Name("m", "Ryūichi", "japonais"),
   new Name("m", "Ryūichirō", "japonais"),
   new Name("m", "Ryūji", "japonais"),
   new Name("m", "Ryūjirō", "japonais"),
   new Name("f", "Ryūka", "japonais"),
   new Name("f", "Ryūko", "japonais"),
   new Name("m", "Ryūku", "japonais"),
   new Name("m", "Ryūnosuke", "japonais"),
   new Name("m", "Ryūsaku", "japonais"),
   new Name("m", "Ryūsuke", "japonais"),
   new Name("m", "Ryūta", "japonais"),
   new Name("m", "Ryūtarō", "japonais"),
   new Name("m", "Ryūzaburō", "japonais"),
   new Name("m", "Ryūzō", "japonais"),
   new Name("m", "Raytōku", "japonais"),
   new Name("f", "Raika", "japonais"),
   new Name("f", "Ran", "japonais"),
   new Name("f", "Rana", "japonais"),
   new Name("f", "Rea", "japonais"),
   new Name("f", "Reina", "japonais"),
   new Name("f", "Reisa", "japonais"),
   new Name("f", "Rena", "japonais"),
   new Name("f", "Renka", "japonais"),
   new Name("f", "Reno", "japonais"),
   new Name("f", "Rian", "japonais"),
   new Name("f", "Riana", "japonais"),
   new Name("f", "Riara", "japonais"),
   new Name("f", "Rieka", "japonais"),
   new Name("f", "Rii", "japonais"),
   new Name("f", "Riina", "japonais"),
   new Name("f", "Riisa", "japonais"),
   new Name("f", "Rikka", "japonais"),
   new Name("f", "Rima", "japonais"),
   new Name("f", "Rine", "japonais"),
   new Name("f", "Rinka", "japonais"),
   new Name("f", "Rinko", "japonais"),
   new Name("f", "Rinna", "japonais"),
   new Name("f", "Rinoa", "japonais"),
   new Name("f", "Rinoka", "japonais"),
   new Name("f", "Rinon", "japonais"),
   new Name("f", "Rioka", "japonais"),
   new Name("f", "Riri", "japonais"),
   new Name("f", "Ririi", "japonais"),
   new Name("f", "Ririka", "japonais"),
   new Name("f", "Ririna", "japonais"),
   new Name("f", "Rise", "japonais"),
   new Name("f", "Risuho", "japonais"),
   new Name("f", "Rita", "japonais"),
   new Name("f", "Rizu", "japonais"),
   new Name("f", "Rumi", "japonais"),
   new Name("f", "Ruria", "japonais"),
   new Name("f", "Rurika", "japonais"),
   new Name("f", "Rurina", "japonais"),
   new Name("f", "Ruru", "japonais"),
   new Name("f", "Ryoka", "japonais"),
   new Name("f", "Ryoko", "japonais"),
   new Name("f", "Saaya", "japonais"),
   new Name("m", "Saburō", "japonais"),
   new Name("f", "Sachi", "japonais"),
   new Name("f", "Sachie", "japonais"),
   new Name("f", "Sachiho", "japonais"),
   new Name("f", "Sachimi", "japonais"),
   new Name("f", "Sachiko", "japonais"),
   new Name("f", "Sachiyo", "japonais"),
   new Name("m", "Sadaaki", "japonais"),
   new Name("f", "Sadae", "japonais"),
   new Name("m", "Sadaharu", "japonais"),
   new Name("m", "Sadajirō", "japonais"),
   new Name("f", "Sadako", "japonais"),
   new Name("n", "Sadami", "japonais"),
   new Name("m", "Sadanobu", "japonais"),
   new Name("m", "Sadao", "japonais"),
   new Name("m", "Sadamasa", "japonais"),
   new Name("f", "Sadayo", "japonais"),
   new Name("f", "Sae", "japonais"),
   new Name("f", "Saeka", "japonais"),
   new Name("f", "Saeko", "japonais"),
   new Name("f", "Saemi", "japonais"),
   new Name("f", "Saho", "japonais"),
   new Name("f", "Sahoko", "japonais"),
   new Name("f", "Sahori", "japonais"),
   new Name("n", "Sai", "japonais"),
   new Name("m", "Saiichi", "japonais"),
   new Name("m", "Saiichirō", "japonais"),
   new Name("f", "Saika", "japonais"),
   new Name("f", "Saiko", "japonais"),
   new Name("n", "Sakae", "japonais"),
   new Name("m", "Sakai", "japonais"),
   new Name("f", "Saki", "japonais"),
   new Name("f", "Sakie", "japonais"),
   new Name("m", "Sakihito", "japonais"),
   new Name("f", "Sakiho", "japonais"),
   new Name("f", "Sakiko", "japonais"),
   new Name("f", "Sakimi", "japonais"),
   new Name("f", "Sakina", "japonais"),
   new Name("f", "Sakino", "japonais"),
   new Name("f", "Sakiyo", "japonais"),
   new Name("m", "Sakon", "japonais"),
   new Name("m", "Sakumo", "japonais"),
   new Name("f", "Sakura", "japonais"),
   new Name("f", "Sakurada", "japonais"),
   new Name("f", "Sakuragi", "japonais"),
   new Name("f", "Sakurako", "japonais"),
   new Name("m", "Sakutarō", "japonais"),
   new Name("f", "Sakuya", "japonais"),
   new Name("m", "Sakuzō", "japonais"),
   new Name("f", "Saky", "japonais"),
   new Name("f", "Sana", "japonais"),
   new Name("f", "Sanae", "japonais"),
   new Name("f", "Sanako", "japonais"),
   new Name("f", "Sanami", "japonais"),
   new Name("m", "Sanetomi", "japonais"),
   new Name("f", "Sango", "japonais"),
   new Name("m", "Sanshirō", "japonais"),
   new Name("f", "Saori", "japonais"),
   new Name("f", "Sari", "japonais"),
   new Name("f", "Sarina", "japonais"),
   new Name("m", "Sasori", "japonais"),
   new Name("m", "Sasuke", "japonais"),
   new Name("f", "Sato", "japonais"),
   new Name("f", "Satoe", "japonais"),
   new Name("f", "Satoko", "japonais"),
   new Name("f", "Satomi", "japonais"),
   new Name("m", "Satoru", "japonais"),
   new Name("m", "Satoshi", "japonais"),
   new Name("f", "Satoyo", "japonais"),
   new Name("n", "Satsuki", "japonais"),
   new Name("f", "Sawa", "japonais"),
   new Name("f", "Sawaka", "japonais"),
   new Name("f", "Sawako", "japonais"),
   new Name("f", "Saya", "japonais"),
   new Name("f", "Sayaka", "japonais"),
   new Name("f", "Sayako", "japonais"),
   new Name("f", "Sayano", "japonais"),
   new Name("f", "Sayo", "japonais"),
   new Name("f", "Sayori", "japonais"),
   new Name("f", "Sayoko", "japonais"),
   new Name("f", "Sayu", "japonais"),
   new Name("f", "Sayuki", "japonais"),
   new Name("f", "Sayumi", "japonais"),
   new Name("f", "Sayuri", "japonais"),
   new Name("n", "Sei", "japonais"),
   new Name("m", "Seigi", "japonais"),
   new Name("m", "Seigō", "japonais"),
   new Name("m", "Seiha", "japonais"),
   new Name("m", "Seiichi", "japonais"),
   new Name("m", "Seiichirō", "japonais"),
   new Name("m", "Seiji", "japonais"),
   new Name("m", "Seijirō", "japonais"),
   new Name("m", "Seijun", "japonais"),
   new Name("m", "Seijūrō", "japonais"),
   new Name("m", "Seika", "japonais"),
   new Name("m", "Seiki", "japonais"),
   new Name("f", "Seiko", "japonais"),
   new Name("f", "Seina", "japonais"),
   new Name("f", "Seira", "japonais"),
   new Name("f", "Seiren", "japonais"),
   new Name("m", "Seishi", "japonais"),
   new Name("m", "Seishirō", "japonais"),
   new Name("m", "Seitarō", "japonais"),
   new Name("m", "Seito", "japonais"),
   new Name("m", "Seiun", "japonais"),
   new Name("n", "Seiya", "japonais"),
   new Name("m", "Seizō", "japonais"),
   new Name("f", "Sekai", "japonais"),
   new Name("n", "Sena", "japonais"),
   new Name("m", "Senji", "japonais"),
   new Name("m", "Senjirō", "japonais"),
   new Name("m", "Senjūrō", "japonais"),
   new Name("n", "Senri", "japonais"),
   new Name("f", "Seshiru", "japonais"),
   new Name("m", "Sesshū", "japonais"),
   new Name("f", "Serena", "japonais"),
   new Name("f", "Seto", "japonais"),
   new Name("f", "Setsuko", "japonais"),
   new Name("f", "Setsumi", "japonais"),
   new Name("f", "Shanpū", "japonais"),
   new Name("m", "Shichinosuke", "japonais"),
   new Name("m", "Shīdo", "japonais"),
   new Name("m", "Shichirō", "japonais"),
   new Name("m", "Shigefumi", "japonais"),
   new Name("m", "Shigeharu", "japonais"),
   new Name("m", "Shigekatsu", "japonais"),
   new Name("m", "Shigeki", "japonais"),
   new Name("f", "Shigeko", "japonais"),
   new Name("m", "Shigemasa", "japonais"),
   new Name("f", "Shigemi", "japonais"),
   new Name("m", "Shigemune", "japonais"),
   new Name("m", "Shigenobu", "japonais"),
   new Name("m", "Shigenori", "japonais"),
   new Name("m", "Shigeo", "japonais"),
   new Name("m", "Shigeoki", "japonais"),
   new Name("n", "Shigeru", "japonais"),
   new Name("m", "Shigesato", "japonais"),
   new Name("m", "Shigetada", "japonais"),
   new Name("m", "Shigeyoshi", "japonais"),
   new Name("m", "Shigezō", "japonais"),
   new Name("n", "Shigure", "japonais"),
   new Name("f", "Shiho", "japonais"),
   new Name("f", "Shihoko", "japonais"),
   new Name("f", "Shihomi", "japonais"),
   new Name("f", "Shihona", "japonais"),
   new Name("f", "Shihori", "japonais"),
   new Name("f", "Shimizu", "japonais"),
   new Name("m", "Shin", "japonais"),
   new Name("f", "Shina", "japonais"),
   new Name("m", "Shinachiku", "japonais"),
   new Name("m", "Shingo", "japonais"),
   new Name("m", "Shinichi", "japonais"),
   new Name("m", "Shinichirō", "japonais"),
   new Name("m", "Shinji", "japonais"),
   new Name("m", "Shinjirō", "japonais"),
   new Name("n", "Shinju", "japonais"),
   new Name("m", "Shinkichi", "japonais"),
   new Name("m", "Shin'nosuke", "japonais"),
   new Name("n", "Shino", "japonais"),
   new Name("n", "Shinobu", "japonais"),
   new Name("m", "Shinpei", "japonais"),
   new Name("m", "Shinsuke", "japonais"),
   new Name("m", "Shintarō", "japonais"),
   new Name("m", "Shinya", "japonais"),
   new Name("m", "Shinzō", "japonais"),
   new Name("f", "Shio", "japonais"),
   new Name("f", "Shiomi", "japonais"),
   new Name("n", "Shion", "japonais"),
   new Name("f", "Shiori", "japonais"),
   new Name("f", "Shirahime", "japonais"),
   new Name("m", "Shirō", "japonais"),
   new Name("n", "Shirogane", "japonais"),
   new Name("f", "Shitsumi七海", "japonais"),
   new Name("f", "Shiwasu", "japonais"),
   new Name("f", "Shizu", "japonais"),
   new Name("f", "Shizue", "japonais"),
   new Name("f", "Shizuho", "japonais"),
   new Name("n", "Shizuka", "japonais"),
   new Name("f", "Shizuko", "japonais"),
   new Name("f", "Shizune", "japonais"),
   new Name("n", "Shizuru", "japonais"),
   new Name("f", "Shizuyo", "japonais"),
   new Name("m", "Shō", "japonais"),
   new Name("m", "Shōgo", "japonais"),
   new Name("m", "Shōhei", "japonais"),
   new Name("m", "Shōichi", "japonais"),
   new Name("m", "Shōji", "japonais"),
   new Name("f", "Shōko", "japonais"),
   new Name("m", "Shōroku", "japonais"),
   new Name("m", "Shōsuke", "japonais"),
   new Name("m", "Shōta", "japonais"),
   new Name("m", "Shōtarō", "japonais"),
   new Name("m", "Shōzō", "japonais"),
   new Name("m", "Shushi", "japonais"),
   new Name("m", "Shū", "japonais"),
   new Name("m", "Shūgorō", "japonais"),
   new Name("m", "Shūhei", "japonais"),
   new Name("m", "Shūichi", "japonais"),
   new Name("m", "Shūichirō", "japonais"),
   new Name("m", "Shūji", "japonais"),
  new Name("m", "Shūkō", "japonais"),
  new Name("f", "Shūko", "japonais"),
  new Name("m", "Shūmei", "japonais"),
  new Name("m", "Shumon", "japonais"),
  new Name("m", "Shun", "japonais"),
  new Name("m", "Shunsuke", "japonais"),
  new Name("m", "Shuntarō", "japonais"),
  new Name("f", "Shura", "japonais"),
  new Name("m", "Shūren", "japonais"),
  new Name("m", "Shūsaku", "japonais"),
  new Name("m", "Shūsuke", "japonais"),
  new Name("m", "Shūta", "japonais"),
  new Name("m", "Shūtarō", "japonais"),
  new Name("m", "Shūya", "japonais"),
  new Name("m", "Shūzō", "japonais"),
  new Name("m", "Sōji", "japonais"),
  new Name("n", "Soki", "japonais"),
  new Name("f", "Sōko", "japonais"),
  new Name("f", "Sonoka", "japonais"),
  new Name("f", "Sonoe", "japonais"),
  new Name("f", "Sonoko", "japonais"),
  new Name("n", "Sora", "japonais"),
  new Name("f", "Sori", "japonais"),
  new Name("m", "Sōta", "japonais"),
  new Name("n", "Sui", "japonais"),
  new Name("f", "Sue", "japonais"),
  new Name("f", "Sugako", "japonais"),
  new Name("f", "Sugi", "japonais"),
  new Name("m", "Sugisaku", "japonais"),
  new Name("m", "Suguru", "japonais"),
  new Name("f", "Sumi", "japonais"),
  new Name("f", "Sumie", "japonais"),
  new Name("f", "Sumika", "japonais"),
  new Name("f", "Sumiko", "japonais"),
  new Name("f", "Sumina", "japonais"),
  new Name("m", "Sumio", "japonais"),
  new Name("f", "Sumire", "japonais"),
  new Name("f", "Sumiyo", "japonais"),
  new Name("m", "Sunaiki", "japonais"),
  new Name("n", "Sunao", "japonais"),
  new Name("m", "Susumu", "japonais"),
  new Name("m", "Suzaku", "japonais"),
  new Name("f", "Suzu", "japonais"),
  new Name("f", "Suzue", "japonais"),
  new Name("f", "Suzuha", "japonais"),
  new Name("f", "Suzuka", "japonais"),
  new Name("f", "Suzuki", "japonais"),
  new Name("n", "Suzume", "japonais"),
  new Name("f", "Suzumi", "japonais"),
  new Name("f", "Suzuna", "japonais"),
  new Name("f", "Suzune", "japonais"),
  new Name("m", "Suzuno", "japonais"),
  new Name("m", "Syōhei", "japonais"),
  new Name("m", "Syūn'ichi", "japonais"),
  new Name("f", "Soren", "japonais"),
  new Name("f", "Sachika", "japonais"),
  new Name("f", "Saera", "japonais"),
  new Name("f", "Saeri", "japonais"),
  new Name("f", "Sako", "japonais"),
  new Name("f", "Sanaka", "japonais"),
  new Name("f", "Sao", "japonais"),
  new Name("f", "Sara", "japonais"),
  new Name("f", "Sarasa", "japonais"),
  new Name("f", "Sari", "japonais"),
  new Name("f", "Saria", "japonais"),
  new Name("f", "Sarii", "japonais"),
  new Name("f", "Sasa", "japonais"),
  new Name("f", "Sato", "japonais"),
  new Name("f", "Satoka", "japonais"),
  new Name("f", "Saya", "japonais"),
  new Name("f", "Sayane", "japonais"),
  new Name("f", "Sayuka", "japonais"),
  new Name("f", "Sayuna", "japonais"),
  new Name("f", "Seri", "japonais"),
  new Name("f", "Serika", "japonais"),
  new Name("f", "Serina", "japonais"),
  new Name("f", "Shia", "japonais"),
  new Name("f", "Shiena", "japonais"),
  new Name("f", "Shieri", "japonais"),
  new Name("m", "Shiki", "japonais"),
  new Name("f", "Shii", "japonais"),
  new Name("f", "Shiika", "japonais"),
  new Name("f", "Shiina", "japonais"),
  new Name("f", "Shima", "japonais"),
  new Name("f", "Shino", "japonais"),
  new Name("f", "Shisei", "japonais"),
  new Name("f", "Shizuku", "japonais"),
  new Name("f", "Shoka", "japonais"),
  new Name("f", "Shoko", "japonais"),
  new Name("f", "Shuka", "japonais"),
  new Name("f", "Soka", "japonais"),
  new Name("f", "Sona", "japonais"),
  new Name("f", "Sono", "japonais"),
  new Name("f", "Sorana", "japonais"),
  new Name("f", "Soyo", "japonais"),
  new Name("f", "Soyoka", "japonais"),
  new Name("f", "Suzuka", "japonais"),
  new Name("f", "Suzuko", "japonais"),
  new Name("m", "Tachio", "japonais"),
  new Name("m", "Tadakatsu", "japonais"),
  new Name("m", "Tadase", "japonais"),
  new Name("m", "Tadakiyo", "japonais"),
  new Name("m", "Tadanobu", "japonais"),
  new Name("m", "Tadao", "japonais"),
  new Name("m", "Tadaoki", "japonais"),
  new Name("m", "Tadashi", "japonais"),
  new Name("m", "Tadashige", "japonais"),
  new Name("m", "Tadayasu", "japonais"),
  new Name("m", "Tadayo", "japonais"),
  new Name("m", "Tadayoshi", "japonais"),
  new Name("f", "Taeko", "japonais"),
  new Name("n", "Taiga", "japonais"),
  new Name("m", "Taichi", "japonais"),
  new Name("m", "Taiji", "japonais"),
  new Name("m", "Taiki", "japonais"),
  new Name("m", "Taikon", "japonais"),
  new Name("n", "Taishō", "japonais"),
  new Name("m", "Taisuke", "japonais"),
  new Name("m", "Taiyō", "japonais"),
  new Name("m", "Taizō", "japonais"),
  new Name("m", "Takaaki", "japonais"),
  new Name("m", "Takahiko", "japonais"),
  new Name("m", "Takahiro", "japonais"),
  new Name("m", "Takahito", "japonais"),
  new Name("m", "Takakazu", "japonais"),
  new Name("n", "Takami", "japonais"),
  new Name("m", "Takaharu", "japonais"),
  new Name("m", "Takahiro", "japonais"),
  new Name("m", "Takahito", "japonais"),
  new Name("m", "Takakazu", "japonais"),
  new Name("n", "Takami", "japonais"),
  new Name("m", "Takanobu", "japonais"),
  new Name("f", "Takako", "japonais"),
  new Name("m", "Takanori", "japonais"),
  new Name("m", "Takao", "japonais"),
  new Name("f", "Takara", "japonais"),
  new Name("m", "Takashi", "japonais"),
  new Name("m", "Takaya", "japonais"),
  new Name("m", "Takayoshi", "japonais"),
  new Name("m", "Takayuki", "japonais"),
  new Name("f", "Take", "japonais"),
  new Name("m", "Takeaki", "japonais"),
  new Name("m", "Takeji", "japonais"),
  new Name("m", "Takeo", "japonais"),
  new Name("m", "Takehiko", "japonais"),
  new Name("m", "Takeru", "japonais"),
  new Name("m", "Takeshi", "japonais"),
  new Name("m", "Taketoshi", "japonais"),
  new Name("m", "Takeya", "japonais"),
  new Name("m", "Takeyuki", "japonais"),
  new Name("m", "Takezō", "japonais"),
  new Name("m", "Takio", "japonais"),
  new Name("m", "Taku", "japonais"),
  new Name("m", "Takuboku", "japonais"),
  new Name("m", "Takuma", "japonais"),
  new Name("m", "Takumi", "japonais"),
  new Name("m", "Takuji", "japonais"),
  new Name("m", "Takurō", "japonais"),
  new Name("m", "Takuto", "japonais"),
  new Name("m", "Takuya", "japonais"),
  new Name("n", "Tama", "japonais"),
  new Name("n", "Tamaki", "japonais"),
  new Name("f", "Tamako", "japonais"),
  new Name("f", "Tamano", "japonais"),
  new Name("f", "Tamao", "japonais"),
  new Name("m", "Tamasaburō", "japonais"),
  new Name("m", "Tamezō", "japonais"),
  new Name("f", "Tami", "japonais"),
  new Name("m", "Tamiki", "japonais"),
  new Name("f", "Tamiko", "japonais"),
  new Name("m", "Tanjiro", "japonais"),
  new Name("f", "Tani", "japonais"),
  new Name("n", "Tanak", "japonais"),
  new Name("n", "Tampopo", "japonais"),
  new Name("m", "Tarō", "japonais"),
  new Name("m", "Tasaburō", "japonais"),
  new Name("m", "Tasuku", "japonais"),
  new Name("m", "Tatsuhiro", "japonais"),
  new Name("m", "Tatsuki", "japonais"),
  new Name("f", "Tatsuko", "japonais"),
  new Name("m", "Tatsuma", "japonais"),
  new Name("m", "Tatsumi", "japonais"),
  new Name("m", "Tatsunosuke", "japonais"),
  new Name("m", "Tatsuo", "japonais"),
  new Name("m", "Tatsurō", "japonais"),
  new Name("m", "Tatsuya", "japonais"),
  new Name("m", "Tatsuzō", "japonais"),
  new Name("f", "Tejina", "japonais"),
  new Name("f", "Temari", "japonais"),
  new Name("m", "Tenshi", "japonais"),
  new Name("n", "Tenka", "japonais"),
  new Name("n", "Tenko", "japonais"),
  new Name("m", "Tenryū", "japonais"),
  new Name("n : Tenten", ":", "japonais"),
  new Name("m", "Teru", "japonais"),
  new Name("n", "Teruki", "japonais"),
  new Name("m", "Terukiyo", "japonais"),
  new Name("f", "Teruko", "japonais"),
  new Name("n", "Terumi", "japonais"),
  new Name("m", "Terumichi", "japonais"),
  new Name("m", "Terumoto", "japonais"),
  new Name("m", "Teruo", "japonais"),
  new Name("m", "Teruyuki", "japonais"),
  new Name("m", "Tetsu", "japonais"),
  new Name("m", "Tetsugaku", "japonais"),
  new Name("m", "Tetsuji", "japonais"),
  new Name("m", "Tetsunori", "japonais"),
  new Name("m", "Tetsushi", "japonais"),
  new Name("m", "Tetsuya", "japonais"),
  new Name("m", "Tetsuzō", "japonais"),
  new Name("n", "Tezuka手塚", "japonais"),
  new Name("f", "Togame", "japonais"),
  new Name("f", "Tokie", "japonais"),
  new Name("m", "Tokiyori", "japonais"),
  new Name("m", "Tōma", "japonais"),
  new Name("f", "Tomie", "japonais"),
  new Name("m", "Tomiichi", "japonais"),
  new Name("m", "Tomio", "japonais"),
  new Name("n", "Tomo", "japonais"),
  new Name("m", "Tomoaki", "japonais"),
  new Name("n", "Tomoe", "japonais"),
  new Name("m", "Tomoharu", "japonais"),
  new Name("m", "Tomohisa", "japonais"),
  new Name("f", "Tomoka", "japonais"),
  new Name("m", "Tomokazu", "japonais"),
  new Name("f", "Tomoko", "japonais"),
  new Name("n", "Tomomi", "japonais"),
  new Name("m", "Tomonori", "japonais"),
  new Name("m", "Tomoo", "japonais"),
  new Name("m", "Tomosaburō", "japonais"),
  new Name("m", "Tomoya", "japonais"),
  new Name("f", "Tomoyo", "japonais"),
  new Name("m", "Tomoyuki", "japonais"),
  new Name("n", "Tomu", "japonais"),
  new Name("m", "Tora", "japonais"),
  new Name("m", "Toramasa", "japonais"),
  new Name("m", "Toramori", "japonais"),
  new Name("m", "Toratane", "japonais"),
  new Name("m", "Torayasu", "japonais"),
  new Name("f", "Tori", "japonais"),
  new Name("m", "Tōru", "japonais"),
  new Name("m", "Toshi", "japonais"),
  new Name("m", "Toshiaki", "japonais"),
  new Name("m", "Toshifumi", "japonais"),
  new Name("m", "Toshiharu", "japonais"),
  new Name("m", "Toshihide", "japonais"),
  new Name("m", "Toshihiko", "japonais"),
  new Name("m", "Toshihiro", "japonais"),
  new Name("m", "Toshikatsu", "japonais"),
  new Name("m", "Toshiki", "japonais"),
  new Name("m", "Toshimi", "japonais"),
  new Name("m", "Toshio", "japonais"),
  new Name("m", "Toshirō", "japonais"),
  new Name("m", "Toshitsugu", "japonais"),
  new Name("m", "Toshiya", "japonais"),
  new Name("m", "Toshiyuki", "japonais"),
  new Name("m", "Toshizō", "japonais"),
  new Name("m", "Tōson", "japonais"),
  new Name("f", "Towa", "japonais"),
  new Name("m", "Tōya", "japonais"),
  new Name("f", "Toyoko", "japonais"),
  new Name("m", "Tōyō", "japonais"),
  new Name("m", "Toyo'o", "japonais"),
  new Name("f", "Tsubaki", "japonais"),
  new Name("n", "Tsubasa", "japonais"),
  new Name("m", "Tsugito", "japonais"),
  new Name("m", "Tsuguharu", "japonais"),
  new Name("m", "Tsuguo", "japonais"),
  new Name("m", "Tsuguhiko", "japonais"),
  new Name("n", "Tsukasa", "japonais"),
  new Name("m", "Tsuke", "japonais"),
  new Name("f", "Tsuki", "japonais"),
  new Name("f", "Tsukiko月子", "japonais"),
  new Name("f", "Tsukiyo月夜", "japonais"),
  new Name("f", "Tsukushi", "japonais"),
  new Name("f", "Tsumiki", "japonais"),
  new Name("f", "Tsunade", "japonais"),
  new Name("m", "Tsunachika", "japonais"),
  new Name("m", "Tsunayoshi", "japonais"),
  new Name("m", "Tsunehiro", "japonais"),
  new Name("m", "Tsunetami", "japonais"),
  new Name("m", "Tsuneo", "japonais"),
  new Name("m", "Tsuneyasu", "japonais"),
  new Name("f", "Tsugumi", "japonais"),
  new Name("n", "Tsuno", "japonais"),
  new Name("f", "Tsurara", "japonais"),
  new Name("f", "Tsuruyo", "japonais"),
  new Name("m", "Tsutomi", "japonais"),
  new Name("m", "Tsutomu", "japonais"),
  new Name("f", "Tsuya", "japonais"),
  new Name("m", "Tsuyoshi", "japonais"),
  new Name("f", "Tae", "japonais"),
  new Name("f", "Tamae", "japonais"),
  new Name("f", "Tamami", "japonais"),
  new Name("f", "Toka", "japonais"),
  new Name("f", "Tokiko", "japonais"),
  new Name("f", "Toko", "japonais"),
  new Name("f", "Toshie", "japonais"),
  new Name("f", "Toshiko", "japonais"),
  new Name("f", "Towako", "japonais"),
  new Name("f", "Ui", "japonais"),
  new Name("f", "Uiba", "japonais"),
  new Name("m", "Uichirō", "japonais"),
  new Name("f", "Uiko", "japonais"),
  new Name("m", "Ukichirō", "japonais"),
  new Name("f", "Ukie", "japonais"),
  new Name("f", "Ukiko", "japonais"),
  new Name("m", "Ukon", "japonais"),
  new Name("m", "Ukyō", "japonais"),
  new Name("f", "Umako", "japonais"),
  new Name("f", "Ume", "japonais"),
  new Name("m", "Umejirō", "japonais"),
  new Name("f", "Umeka", "japonais"),
  new Name("f", "Umeko", "japonais"),
  new Name("f", "Umeno", "japonais"),
  new Name("m", "Umetarō", "japonais"),
  new Name("n", "Umi", "japonais"),
  new Name("f", "Umiko", "japonais"),
  new Name("f", "Une", "japonais"),
  new Name("f", "Uneko", "japonais"),
  new Name("m", "Unshō", "japonais"),
  new Name("f", "Urako", "japonais"),
  new Name("f", "Uran", "japonais"),
  new Name("f", "Urara", "japonais"),
  new Name("f", "Uriko", "japonais"),
  new Name("f", "Ururu", "japonais"),
  new Name("m", "Usaburō", "japonais"),
  new Name("f", "Usagi", "japonais"),
  new Name("m", "Usaji", "japonais"),
  new Name("f", "Usami", "japonais"),
  new Name("n", "Ushio", "japonais"),
  new Name("n", "Usui", "japonais"),
  new Name("f", "Usune", "japonais"),
  new Name("f", "Uta", "japonais"),
  new Name("f", "Utae", "japonais"),
  new Name("m", "Utaemon", "japonais"),
  new Name("f", "Utako", "japonais"),
  new Name("m", "Utarō", "japonais"),
  new Name("f", "Utashiro", "japonais"),
  new Name("f", "Utayo", "japonais"),
  new Name("f", "Uyou", "japonais"),
  new Name("m", "Uzaemon", "japonais"),
  new Name("f", "Uzuki", "japonais"),
  new Name("f", "Ui", "japonais"),
  new Name("f", "Uika", "japonais"),
  new Name("f", "Usa", "japonais"),
  new Name("f", "Utaka", "japonais"),
  new Name("m", "Waichirō", "japonais"),
  new Name("f", "Waka", "japonais"),
  new Name("f", "Wakaba", "japonais"),
  new Name("f", "Wakako", "japonais"),
  new Name("f", "Wakana", "japonais"),
  new Name("f", "Waki", "japonais"),
  new Name("f", "Wakiko", "japonais"),
  new Name("m", "Wakio", "japonais"),
  new Name("m", "Wakitarō", "japonais"),
  new Name("f", "Wako", "japonais"),
  new Name("f", "Waku", "japonais"),
  new Name("f", "Wakuko", "japonais"),
  new Name("f", "Wakuni", "japonais"),
  new Name("f", "Wakuri", "japonais"),
  new Name("m", "Wasaburō", "japonais"),
  new Name("f", "Watako", "japonais"),
  new Name("m", "Watanuki", "japonais"),
  new Name("m", "Wataru", "japonais"),
  new Name("f", "Wayu", "japonais"),
  new Name("f", "Wayuki", "japonais"),
  new Name("f", "Wayuu', ", "japonais"),
  new Name("n", "Washio", "japonais"),
  new Name("m", "Yahiko", "japonais"),
  new Name("m", "Yahiro", "japonais"),
  new Name("m", "Yanosuke", "japonais"),
  new Name("m", "Yanosuke", "japonais"),
  new Name("m", "Yashiro", "japonais"),
  new Name("m", "Yasuaki", "japonais"),
  new Name("m", "Yasufumi", "japonais"),
  new Name("m", "Yasuharu", "japonais"),
  new Name("m", "Yasuhide", "japonais"),
  new Name("m", "Yasuhiko", "japonais"),
  new Name("m", "Yasuhiro", "japonais"),
  new Name("m", "Yasuhisa", "japonais"),
  new Name("m", "Yasuji", "japonais"),
  new Name("m", "Yasujirō", "japonais"),
  new Name("m", "Yasukazu", "japonais"),
  new Name("m", "Yasuki", "japonais"),
  new Name("m", "Yasumasa", "japonais"),
  new Name("m", "Yasumi", "japonais"),
  new Name("m", "Yasumichi", "japonais"),
  new Name("m", "Yasunari", "japonais"),
  new Name("m", "Yasunobu", "japonais"),
  new Name("m", "Yasunori", "japonais"),
  new Name("m", "Yasuo", "japonais"),
  new Name("m", "Yasurō", "japonais"),
  new Name("m", "Yasushi", "japonais"),
  new Name("m", "Yasutaka", "japonais"),
  new Name("m", "Yasutake", "japonais"),
  new Name("m", "Yasutarō", "japonais"),
  new Name("m", "Yasutomo", "japonais"),
  new Name("m", "Yasutoshi", "japonais"),
  new Name("m", "Yasuyoshi", "japonais"),
  new Name("m", "Yasuyuki", "japonais"),
  new Name("m", "Yatarō", "japonais"),
  new Name("m", "Yō", "japonais"),
  new Name("m", "Yōhei", "japonais"),
  new Name("m", "Yōichi", "japonais"),
  new Name("m", "Yōichirō", "japonais"),
  new Name("m", "Yōji", "japonais"),
  new Name("m", "Yōjirō", "japonais"),
  new Name("f", "Yoko", "japonais"),
  new Name("m", "Yorimitsu", "japonais"),
  new Name("m", "Yorinobu", "japonais"),
  new Name("m", "Yorishige", "japonais"),
  new Name("m", "Yoritaka", "japonais"),
  new Name("m", "Yoritsugu", "japonais"),
  new Name("m", "Yoritsune", "japonais"),
  new Name("m", "Yoriyuki", "japonais"),
  new Name("m", "Yoshi", "japonais"),
  new Name("m", "Yoshiaki", "japonais"),
  new Name("m", "Yoshifumi", "japonais"),
  new Name("m", "Yoshiharu", "japonais"),
  new Name("m", "Yoshihide", "japonais"),
  new Name("m", "Yoshihiko", "japonais"),
  new Name("m", "Yoshihiro", "japonais"),
  new Name("m", "Yoshihisa", "japonais"),
  new Name("m", "Yoshihito", "japonais"),
  new Name("m", "Yoshiie", "japonais"),
  new Name("m", "Yoshikane", "japonais"),
  new Name("m", "Yoshikatsu", "japonais"),
  new Name("m", "Yoshikazu", "japonais"),
  new Name("m", "Yoshiki", "japonais"),
  new Name("m", "Yoshikiyo", "japonais"),
  new Name("m", "Yoshikuni", "japonais"),
  new Name("m", "Yoshimasa", "japonais"),
  new Name("m", "Yoshimatsu", "japonais"),
  new Name("m", "Yoshimichi", "japonais"),
  new Name("m", "Yoshimitsu", "japonais"),
  new Name("m", "Yoshimori", "japonais"),
  new Name("m", "Yoshimoto", "japonais"),
  new Name("m", "Yoshinaga", "japonais"),
  new Name("m", "Yoshinao", "japonais"),
  new Name("m", "Yoshinari", "japonais"),
  new Name("m", "Yoshinobu", "japonais"),
  new Name("m", "Yoshinori", "japonais"),
  new Name("m", "Yoshio", "japonais"),
  new Name("m", "Yoshirō", "japonais"),
  new Name("m", "Yoshisada", "japonais"),
  new Name("m", "Yoshishige", "japonais"),
  new Name("m", "Yoshisuke", "japonais"),
  new Name("m", "Yoshitaka", "japonais"),
  new Name("m", "Yoshitake", "japonais"),
  new Name("m", "Yoshitarō", "japonais"),
  new Name("m", "Yoshiteru", "japonais"),
  new Name("m", "Yoshito", "japonais"),
  new Name("m", "Yoshitomo", "japonais"),
  new Name("m", "Yoshitsugu", "japonais"),
  new Name("m", "Yoshiya", "japonais"),
  new Name("m", "Yoshiyasu", "japonais"),
  new Name("m", "Yoshiyuki", "japonais"),
  new Name("m", "Yoshizumi", "japonais"),
  new Name("m", "Yōsuke", "japonais"),
  new Name("m", "Yōta", "japonais"),
  new Name("m", "Yōzō", "japonais"),
  new Name("m", "Yūdai", "japonais"),
  new Name("m", "Yugi", "japonais"),
  new Name("m", "Yugo", "japonais"),
  new Name("m", "Yūhei", "japonais"),
  new Name("m", "Yui", "japonais"),
  new Name("m", "Yuichi", "japonais"),
  new Name("m", "Yūichirō", "japonais"),
  new Name("m", "Yūji", "japonais"),
  new Name("m", "Yūjirō", "japonais"),
  new Name("n", "Yuki", "japonais"),
  new Name("f", "Yukiko", "japonais"),
  new Name("n", "Yūki", "japonais"),
  new Name("m", "Yūkichi", "japonais"),
  new Name("m", "Yukiharu", "japonais"),
  new Name("m", "Yukihiko", "japonais"),
  new Name("m", "Yukihiro", "japonais"),
  new Name("m", "Yukimasa", "japonais"),
  new Name("m", "Yukimura", "japonais"),
  new Name("m", "Yukinobu", "japonais"),
  new Name("m", "Yukinori", "japonais"),
  new Name("m", "Yukio", "japonais"),
  new Name("m", "Yukishige", "japonais"),
  new Name("m", "Yukitaka", "japonais"),
  new Name("m", "Yukito", "japonais"),
  new Name("m", "Yukitoshi", "japonais"),
  new Name("m", "Yukiya", "japonais"),
  new Name("m", "Yukiyoshi", "japonais"),
  new Name("m", "Yuma", "japonais"),
  new Name("f", "Yumi", "japonais"),
  new Name("m", "Yūsaku", "japonais"),
  new Name("m", "Yūsei", "japonais"),
  new Name("m", "Yūshi", "japonais"),
  new Name("m", "Yūsuke", "japonais"),
  new Name("m", "Yūta", "japonais"),
  new Name("m", "Yutaka", "japonais"),
  new Name("m", "Yūtarō", "japonais"),
  new Name("m", "Yūto", "japonais"),
  new Name("m", "Yūya", "japonais"),
  new Name("m", "Yūzō", "japonais"),
  new Name("m", "Yuzuru", "japonais"),
  new Name("m", "Zenjirō", "japonais"),
  new Name("m", "Zenkichi", "japonais"),
  new Name("m", "Zentarō", "japonais"),
  new Name("m", "Zenzo", "japonais"),
  new Name("m", "Zenitsu", "japonais")
]);
